<!--HAS_WEBDNA_TAGS--><html>
[!]================================================================================
Takes the following steps to change to change the template for another database:
1) Choose a name for your database.  (e.g. STUFF.DB)
2) Choose a unique two character prefix followed by an underscore for the database.
   (e.g. ST_)
3) Define the first two fields in your database as an ID and RANK using the prefix.
   (e.g. ST_ID, ST_RANK)
4) Find and Replace the string "WebDNA_ISP_Hosts" with your new database name.  (e.g. replace
   "WebDNA_ISP_Hosts" with "stuff")  Replace all "WebDNA_ISP_Hosts" in this template along with the 
   filenames.  (e.g. "WebDNA_ISP_Hosts.tpl" and "edit_WebDNA_ISP_Hosts.tpl" becomes "stuff.tpl" and 
   "edit_stuff.tpl")
5) Find and Replace the string "SP_" with your prefix.  (e.g. "SP_" becomes "ST_")
- - - - - - - - - - - - - - - - - - - - 
For databases in the ADMIN directory:

1) Replace the <body> tag and <h1>HEADER</h1> with:

[include body_tag.inc]
[text]page_title=YOUR TITLE GOES HERE[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]

2) Replace "YOUR TITLE GOES HERE" with the Title for your page. (e.g. Stuff Database)
3) Replace "HELP_PAGE_CODE" with a unique help ID. (e.g. stuff_data)
4) Open "admin/helpdata.tpl" in your browser.
5) Add new HELP content using your unique help ID.


================================================================================[/!]
<body>

[showif [deleteChecked]=delete]
	[Formvariables name=chkdelete&exact=T]
		[DELETE db=WebDNA_ISP_Hosts.tpl&eqSANDBOX_IDdatarq=[value]]
	[/formvariables]
[/showif]

[ShowIf [action]=delete]
<form name="frmDelete" method="post" action="WebDNA_ISP_Hosts.tpl">
<input type="hidden" name="__SANDBOX_ID" value="[__SANDBOX_ID]">

<h2>Are you sure you want to delete this item?</h2>
[Search db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[__SANDBOX_ID]]
[founditems]
<table border="1" cellpadding="0" cellspacing="0">
[ListFields db=WDNA_ISP_Hosts.db]
<tr><td align="right"><b>[fieldname]:</b></td><td>[Interpret][[fieldname]][/Interpret]</td></tr>
[/ListFields]

</table>
[/founditems]
[/search]
<input type="submit" name="deleteme" value="DELETE"><input type="submit" name="submit" value="CANCEL"><br>
</form>
[/ShowIf]

[ShowIf [deleteme]=delete]
[DELETE db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[__SANDBOX_ID]]
[/ShowIf]

[Hideif [action]=delete]

[ShowIf [action]=update]
[Replace db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[__SANDBOX_ID]&append=T][Formvariables name=__&exact=F][Hideif [index]=1]&[/Hideif][GetChars start=3][name][/GetChars]=[Url][value][/Url][/Formvariables][/Replace]
[/ShowIf]

<h1>WDNA_ISP_Hosts Database</h1>
<form name="frmQuickSearch" method="post" action="WebDNA_ISP_Hosts.tpl">
<table width="600" border="1" cellspacing="0" cellpadding="5">
<tr>
<td valign="top">
<table width="100%" cellspacing="0" cellpadding="0">
<tr><td colspan="3" align="center"><b>QUICK SEARCH</b></td></tr>
<tr><td Align="right">Search By:
<select name="--group1field">
  <option value="SANDBOX_ID,PLAN_ID,HOST_ID,ORDER_ID,NAME,EMAIL,PHONE1,PHONE2,ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY,ENABLED,DOMAIN" [Showif [--group1field]=SANDBOX_ID,PLAN_ID,HOST_ID,ORDER_ID,NAME,EMAIL,PHONE1,PHONE2,ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY,ENABLED,DOMAIN]SELECTED[/Showif]>All Fields</option>
  <option value="SANDBOX_ID" [Showif [--group1field]=SANDBOX_ID]SELECTED[/Showif]>SANDBOX_ID</option>
  <option value="PLAN_ID" [Showif [--group1field]=PLAN_ID]SELECTED[/Showif]>PLAN_ID</option>
  <option value="HOST_ID" [Showif [--group1field]=HOST_ID]SELECTED[/Showif]>HOST_ID</option>
  <option value="ORDER_ID" [Showif [--group1field]=ORDER_ID]SELECTED[/Showif]>ORDER_ID</option>
  <option value="NAME" [Showif [--group1field]=NAME]SELECTED[/Showif]>NAME</option>
  <option value="EMAIL" [Showif [--group1field]=EMAIL]SELECTED[/Showif]>EMAIL</option>
  <option value="PHONE1" [Showif [--group1field]=PHONE1]SELECTED[/Showif]>PHONE1</option>
  <option value="PHONE2" [Showif [--group1field]=PHONE2]SELECTED[/Showif]>PHONE2</option>
  <option value="ADDRESS1" [Showif [--group1field]=ADDRESS1]SELECTED[/Showif]>ADDRESS1</option>
  <option value="ADDRESS2" [Showif [--group1field]=ADDRESS2]SELECTED[/Showif]>ADDRESS2</option>
  <option value="CITY" [Showif [--group1field]=CITY]SELECTED[/Showif]>CITY</option>
  <option value="STATE" [Showif [--group1field]=STATE]SELECTED[/Showif]>STATE</option>
  <option value="ZIP" [Showif [--group1field]=ZIP]SELECTED[/Showif]>ZIP</option>
  <option value="COUNTRY" [Showif [--group1field]=COUNTRY]SELECTED[/Showif]>COUNTRY</option>
  <option value="ENABLED" [Showif [--group1field]=ENABLED]SELECTED[/Showif]>ENABLED</option>
  <option value="DOMAIN" [Showif [--group1field]=DOMAIN]SELECTED[/Showif]>DOMAIN</option>
</select>
</td>
<td Align="right">Keyword:
<input type="text" name="--wogroup1datarq" [Showif [--wogroup1datarq]![Raw][--wogroup1datarq][/Raw]]value="[--wogroup1datarq]"[/Showif]>
&nbsp;</td>
<td>
<input type="submit" name="submit" value="SEARCH">
</td></tr>
<tr><td Align="left">[!]<a href="edit_WebDNA_ISP_Hosts.tpl">Add Record</a>[/!]</td><td Align="right" colspan="2"><a href="WebDNA_ISP_Hosts.tpl">Show All</a></td>
</tr>
</table>
</td>
</tr>
</table>
</form>

[math show=F]fieldcount=8[/math]
[Search db=WDNA_ISP_Hosts.db&neSANDBOX_IDdatarq=find_all&asSANDBOX_IDsort=1[FormVariables name=--&exact=F]&[GetChars start=3][name][/GetChars]=[Url][value][/Url][/FormVariables]]
<b>DATABASE RESULTS</b> ([numfound] records found)<br>
<input type="submit" name="deleteChecked" value="Delete"><br>
<table border="1" cellspacing="0" width="600">
<form name="form1" method="post" action="view_database.tpl">

<tr bgcolor="#CCCCFF">
<td><input name="allbox" type="checkbox" onClick="CA(this);" title="Check or unCheck all."></td>
[HideIf [--Group1Field]^,][ShowIf [--Group1Field]![raw][--Group1Field][/raw]]<td bgcolor=#FFFF99>[--Group1Field]</td>[/ShowIf][/HideIf]
<td>SANDBOX_ID</td><td>PLAN_ID</td><td>HOST_ID</td><td>ORDER_ID</td><td>NAME</td><td>EMAIL</td><td>ENABLED</td><td>DOMAIN</td></tr>
[Showif [numfound]=0]<tr><td colspan="[math][fieldcount][HideIf [--Group1Field]^,][Showif [--Group1Field]![raw][--Group1Field][/raw]]+1[/Showif][/hideif][/math]" align="center">NONE</td>[/Showif]
[FoundItems]
<tr>
<td><input type=checkbox name=chkdelete value='[SANDBOX_ID]'></td>
[HideIf [--Group1Field]^,][ShowIf [--Group1Field]![raw][--Group1Field][/raw]]<td>[BoldWords [--woGroup1datarq]][Interpret][[--Group1Field]][/Interpret][/BoldWords]</td>[/ShowIf][/HideIf]
<td><a href="edit_WebDNA_ISP_Hosts.tpl?action=edit&SANDBOX_ID=[SANDBOX_ID]">[SANDBOX_ID] </a></td><td>[PLAN_ID]</td><td>[HOST_ID]</td><td>[ORDER_ID]</td><td>[NAME]</td><td>[EMAIL]</td><td>[ENABLED]</td><td>[DOMAIN]</td></tr>
[/FoundItems]
</form>

</table>
[/Search] 
[/Hideif]
<script language="JavaScript" src="checkbox.js"></script>
</body></html>