<!--HAS_WEBDNA_TAGS-->
[include file=calendarMath.tpl]
[function name=weekOfMonth]
[!]-----------------------------------------------------------------------------[/!]	
	[!]PARAMETERS:
		(ByVal):thisDate	(numeric date representation)[/!]
[!]-----------------------------------------------------------------------------[/!]		
	[text]thisMonth=[Format Days_To_Date %B][thisDate][/Format][/text]
	[text]priorWeek=[thisDate][/text]
	
	[loop start=1&end=5&advance=1] 
		[text]priorWeek=[Math][thisDate]-([math]7*[index][/math])[/Math][/text]
		[showif [Format Days_To_Date %B][priorWeek][/Format]![thisMonth]]
			[Return][index][/Return]
			[break]
		[/showif]
	[/loop]
[/function]

[function name=isLastInMonth]
[!]-----------------------------------------------------------------------------[/!]	
	[!]PARAMETERS:
		(ByVal):thisDate	(numeric date representation)[/!]	
[!]if we add one week and we change months then its the last one of the month[/!]
[!]-----------------------------------------------------------------------------[/!]		
	[text]thisMonth=[Format Days_To_Date %B][thisDate][/Format][/text]
	[Math show=f]nextWeek=[thisDate]+7[/math]
	
	[if "[Format Days_To_Date %B][nextWeek][/Format]"!"[thisMonth]"][then]
		[Return]T[/Return]
	[/then]
	[else]	
		[Return]F[/Return]
	[/else]
	[/if]

[/function]

[!]---------create an empty table to put recurring events and regular events in------------------------[/!]
[!][function name=createDateTable][/!]
[!]PARAMETERS:
		(ByVal):thisStartDate	(numeric date representation)
			thisEndDate	(numeric date representation)[/!]

[table name=mydates&fields=DAT_ID,dat_date,DAT_STARTTIME,DAT_ENDTIME,DAT_TITLE,DAT_DESCRIPTION,DAT_LOCATION,DAT_CAT_ID,DAT_CATEGORY]
[/table]

[!]put in all the recurring events for the month[/!]
[Search db=[REL_ROOT_DIR]data/calendar.db&neDAT_RECURRENCE_PATTERNdatarq=[blank]&ledat_datedatarq=[thisEndDate]&geDAT_RECURRENCE_ENDdatarq=[thisStartDate]&DAT_DATEtype=num&asDAT_STARTTIMEsort=1&DAT_STARTTIMEtype=num]
[!][numfound]-[datecheck]<br>[/!]
[!]calendar.db has[numfound] records[/!]

[founditems]

[!]check the security groups and filter by category if one is selected[/!]
[if (("[categoryid]"="")&(("[catlist]"^",[DAT_CAT_ID],")|("[DAT_CAT_ID]"="")))|("[categoryid]"="[DAT_CAT_ID]")][then]
	[!]thisEndDate=[math][newmonth]+([numweeks]*7-1)[/math][/!]
	[!]dat_category:[dat_category] catlist:[catlist] DAT_CAT_ID:[DAT_CAT_ID] categoryid:[categoryid]<br>[/!]
	
	[Loop start=[thisStartDate]&end=[thisEndDate]&advance=1]
	[Math show=F]datecheck=[index][/Math]
	[if ("[datecheck]">"[math][dat_date]-1[/math]")&("[datecheck]"<"[math][DAT_RECURRENCE_END]+1[/math]")][then]
		
		[!]daily[/!]
		[showif [DAT_RECURRENCE_PATTERN]~daily]
			[if ("[datecheck]">"[math][dat_date]-1[/math]")&("[datecheck]"<"[math][DAT_RECURRENCE_END]+1[/math]")][then]
				[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
			[/then]
			[/if] 
		[/showif]
		
		[!]weekly_Monday_Tuesday[/!]
		[showif [DAT_RECURRENCE_PATTERN]~weekly]
			[showif [DAT_RECURRENCE_PATTERN]^[Format Days_To_Date %A][datecheck][/Format]]
			
				[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
			[/showif] 
		[/showif]
		
		[!]monthly_date_15[/!]
		[showif [DAT_RECURRENCE_PATTERN]~monthly_date]
			[showif [DAT_RECURRENCE_PATTERN]^[Format Days_To_Date %d][datecheck][/Format]]
				[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
			[/showif] 
		[/showif]
		
		[!]monthly_day_4_Monday[/!]
		[showif [DAT_RECURRENCE_PATTERN]~monthly_day]	
			[!]set the ordinal to the week in month it occurs[/!]
			[text]ordinal=[middle startafter=monthly_day_&endbefore=_][DAT_RECURRENCE_PATTERN][/middle][/text]
			[showif [DAT_RECURRENCE_PATTERN]^DayOfMonth]
				[!]last day of the month[/!]
				[showif [ordinal]=5]
					[text]lastDayOfMonth=[getDayCount month=[Format Days_To_Date %m][datecheck][/Format]&year=[Format Days_To_Date %Y][datecheck][/Format]][/text]
					[!]lastDayOfMonth:[lastDayOfMonth]<br>[/!]
					[showif [Format Days_To_Date %d][datecheck][/Format]=[lastDayOfMonth]]
					[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
					[/showif]
				[/showif]
				[showif [ordinal]!5]
					[showif [Format Days_To_Date %d][datecheck][/Format]=[ordinal]]
					[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
					[/showif]
				[/showif]

			[/showif]
			[!]see if the weekday matches up[/!]	
			[showif [DAT_RECURRENCE_PATTERN]^[Format Days_To_Date %A][datecheck][/Format]]
				
				[!]5 is used for the last occurrence of the month[/!]
				[if "[ordinal]"="5"][then]
					[showif [isLastInMonth thisDate=[datecheck]]=T]
						[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
					[/showif]
				[/then]
				[else]
					[text]monthlyRecurrence=[weekOfMonth thisDate=[datecheck]][/text]
					[showif [monthlyRecurrence]=[ordinal]]
						[!]add:[Format Days_To_Date %d][datecheck][/Format]-[datecheck] [dat_title]<br>[/!]
						[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
					[/showif]
				[/else]
				[/if]
				
			[/showif] 
		
		[/showif]
		
		[!]yearly_date_01-march[/!]
		[showif [DAT_RECURRENCE_PATTERN]~yearly_date]
			[showif [DAT_RECURRENCE_PATTERN]^[Format Days_To_Date %d-%B][datecheck][/Format]]
				[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
			[/showif] 
		[/showif]
		
		[!]yearly_day_1_monday_march[/!]
		[showif [DAT_RECURRENCE_PATTERN]~yearly_day]
			[!]see to see if the month matches, and the day is in the same month as the month dropdown[/!]
			[if ("[DAT_RECURRENCE_PATTERN]"^"[Format Days_To_Date %B][datecheck][/Format]")[!]&("[gomonth]"="[Format Days_To_Date %m][datecheck][/Format]")[/!]][then]
				[!]set the ordinal to the week in month it occurs[/!]
				[text]ordinal=[getchars start=12&end=12][DAT_RECURRENCE_PATTERN][/getchars][/text]
					
				[!]check for the last day of the month[/!]
				[showif [DAT_RECURRENCE_PATTERN]^DayOfMonth]
					[!]last day of the month[/!]
					[showif [ordinal]=5]
						[text]lastDayOfMonth=[getDayCount month=[Format Days_To_Date %m][datecheck][/Format]&year=[Format Days_To_Date %Y][datecheck][/Format]][/text]
						[!]lastDayOfMonth:[lastDayOfMonth]<br>[/!]
						[showif [Format Days_To_Date %d][datecheck][/Format]=[lastDayOfMonth]]
						[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
						[/showif]
					[/showif]
					[showif [ordinal]!5]
						[showif [Format Days_To_Date %d][datecheck][/Format]=[ordinal]]
						[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
						[/showif]
					[/showif]
	
				[/showif]

				[!]see if the weekdays match[/!]
				[showif [DAT_RECURRENCE_PATTERN]^[Format Days_To_Date %A][datecheck][/Format]]
					[!]5 is used for the last occurrence of the month[/!]
					[if "[ordinal]"="5"][then]
						[showif [isLastInMonth thisDate=[datecheck]]=T]
							[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
						[/showif]
					[/then]
					[else]
						[text]monthlyRecurrence=[weekOfMonth thisDate=[datecheck]][/text]
						[showif [monthlyRecurrence]=[ordinal]]
							[!]add:[Format Days_To_Date %d][datecheck][/Format]-[datecheck] [dat_title]<br>[/!]
							[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[datecheck]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
						[/showif]
					[/else]
					[/if]
				[/showif] 
			[/then]
			[/if]
		[/showif]		
		
	[/then]
	[/if]
	[/loop]
	[!]special cases for the last occurrence of the month[/!]
	[!]monthly_day_5_Monday[/!]
[!]	[showif [DAT_RECURRENCE_PATTERN]~monthly_day_5]
		[text]myMonth=[format Days_To_Date %m][math]{[thisStartDate]}[/math][/format][/text]
		[text]myYear=[format Days_To_Date %Y][math]{[thisStartDate]}[/math][/format][/text]

		[text]myWeekday=[getDayOfWeekFromWeekday weekday=[getchars start=15][recurrenceString][/getchars]][/text]

		[text]lastDate=[getDayOccurrenceDate month=[myMonth]&year=[myYear]&ordinal=5&day=[myWeekday]][/text]
		[showif [lastDate]>[thisStartDate]]
			[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[lastDate]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
		[/showif]
		
	[/showif]
[/!]	
	
[!][DAT_DATE] [DAT_RECURRENCE_PATTERN] [DAT_RECURRENCE_END]<br>[/!]
[/then]
[/if]
[/founditems]
[!]put in the regular events for the month[/!]
[/search]
[Search db=[REL_ROOT_DIR]data/calendar.db&Group1Fields=DAT_DATE&eqDAT_RECURRENCE_PATTERNdatarq=[blank]&geDAT_DATEdatarq=[thisStartDate]&leGroup1datarq=[thisEndDate]]
[founditems]
[!]check the security groups and filter by category if one is selected[/!]
[if (("[categoryid]"="")&(("[catlist]"^",[DAT_CAT_ID],")|("[DAT_CAT_ID]"="")))|("[categoryid]"="[DAT_CAT_ID]")][then]
	[append table=mydates]DAT_ID=[DAT_ID]&dat_date=[dat_date]&DAT_STARTTIME=[DAT_STARTTIME]&DAT_ENDTIME=[DAT_ENDTIME]&DAT_TITLE=[DAT_TITLE]&dat_description=[dat_description]&dat_location=[dat_location]&DAT_CAT_ID=[DAT_CAT_ID]&DAT_CATEGORY=[DAT_CATEGORY][/append]
[/then]
[/if]
[/founditems]
[/search]
[!][/function][/!]
[!]----------------end of table-------------------------------------[/!]
