<font face="[TEXT_FONT]">
[orderfile cart=[cart]]

[!] Check to see if this is an OB process (i.e. AuthorizeNet) [/!]
[text]ProcessorMethod=[lookup db=admin/prefs.db&lookInField=Pref&value=PayMethod&returnField=Value&notFound=CC][/text]
[showif [lookup db=WebMerchant/WebMerchantPrefs.db&lookinfield=Preference&value=PayMethod_Support&returnfield=Value&notfound=]^OB_CC]
[hideif [ProcessorMethod]=AC]
[text]ProcessorMethod=OB_[ProcessorMethod][/text]
[/hideif]
[/showif]

[text]ProcessorName=[lookup db=WebMerchant/WebMerchantPrefs.db&lookinfield=Preference&value=CreditCardProcessor&returnfield=Value&notfound=][/text]

[setheader cart=[cart]][formvariables name=__&exact=F][getchars start=3][name][/getchars]=[url][value][/url]&[/formvariables][/setheader]
[setheader cart=[cart]]payMethod=[ProcessorMethod][/setheader]

[!] check for required fields [/!]
[showif [name]=]<B>NAME:</B><BR> [text]failed=T[/text][/showif]
[showif [address1]=]<B>ADDRESS:</B><BR>[text]failed=T[/text][/showif]
[showif [city]=]<B>CITY:</B><BR>[text]failed=T[/text][/showif]
[showif [zip]=][showif [lookup db=admin/country.db&lookinfield=CNTY_ABRV&value=[country]&returnfield=POSTAL_CODE&notfound=]=T][text]failed=T[/text]<B>ZIP/Postal Code:</B><BR>[/showif][/showif]
[showif [state]=NA][showif US,CA^[country]][text]failed=T[/text]<B>STATE/PROVINCE:</B><BR>[/showif][/showif]

[/orderfile]

[showif [failed]=T]
<BR><BR>Please go back and fill in the required fields shown above.<BR><BR>
[/showif]

[hideif [failed]=T]

[orderfile cart=[cart]]
[math show=f]creditOK=1[/math]

[showif [validcard accountNum=[accountNum]&card=[listwords words=[lookup db=admin/prefs.db&lookinfield=pref&value=CREDIT_CARDS&returnfield=value]&delimiters=[url]+ [/url]][lookup db=admin/cards.db&lookinfield=CC_ID&value=[word]&returnfield=CC_ABRV]+[/listwords]]=F]
[math show=f]creditOK=0[/math]
Please re-enter your credit card number. The number you entered may have a mistyped number
or may be missing digits.<br>
<br>
<form method="post" action="default.tpl">
[!]thanks.inc=10[/!]
<input type="hidden" name="pageid" value="10">
<input type="hidden" name="cart" value="[cart]">
<table>
<tr><td align=right>Credit Card</td><td align=left>
<select name="cardType">
[listwords words=[lookup db=admin/prefs.db&lookinfield=pref&value=CREDIT_CARDS&returnfield=value]&delimiters=[url]+ [/url]]
<option [showif [cardType]=[word]]selected[/showif]>[lookup db=admin/cards.db&lookinfield=CC_ID&value=[word]&returnfield=CC_NAME]
[/listwords]
</select></td></tr>
<tr><td align=right>Card Number</td><td align=left>
<input name="__accountNum" value="[accountNum]" size="19">
</td>
</tr>
<tr><td align=right>Expiration</td><td align=left>
<select name="__expMonth">
<option value="1" [showif [expMonth]=1]selected[/showif]>1:January
<option value="2" [showif [expMonth]=2]selected[/showif]>2:February
<option value="3" [showif [expMonth]=3]selected[/showif]>3:March
<option value="4" [showif [expMonth]=4]selected[/showif]>4:April
<option value="5" [showif [expMonth]=5]selected[/showif]>5:May
<option value="6" [showif [expMonth]=6]selected[/showif]>6:June
<option value="7" [showif [expMonth]=7]selected[/showif]>7:July
<option value="8" [showif [expMonth]=8]selected[/showif]>8:August
<option value="9" [showif [expMonth]=9]selected[/showif]>9:September
<option value="10" [showif [expMonth]=10]selected[/showif]>10:October
<option value="11" [showif [expMonth]=11]selected[/showif]>11:November
<option value="12" [showif [expMonth]=12]selected[/showif]>12:December
</select>
<select name="__expYear">
<option value="00" [showif [expYear]=00]selected[/showif]>2000
<option value="01" [showif [expYear]=01]selected[/showif]>2001
<option value="02" [showif [expYear]=02]selected[/showif]>2002
<option value="03" [showif [expYear]=03]selected[/showif]>2003
<option value="04" [showif [expYear]=04]selected[/showif]>2004
<option value="05" [showif [expYear]=05]selected[/showif]>2005
<option value="06" [showif [expYear]=06]selected[/showif]>2006
<option value="07" [showif [expYear]=07]selected[/showif]>2007
<option value="08" [showif [expYear]=08]selected[/showif]>2008
<option value="09" [showif [expYear]=09]selected[/showif]>2009
<option value="10" [showif [expYear]=10]selected[/showif]>2010
</select>
</td></tr>
</table>
<input type="submit" value="Purchase">
</form>
[/showif]

[/orderfile]

[showif [math]creditOK[/math]=1]

[orderfile cart=[cart]]

<b>Thanks For Purchasing</b>
<p>
<B><A HREF="[lookup db=admin/prefs.db&lookinfield=pref&value=PUBLOCATION&returnfield=value&notfound=]default.tpl">Start a New Shopping Trip</A></B><p>

[showif [ProcessorMethod]^OB]
[include file=^WebMerchant/[ProcessorName]_ob_form.inc&trans_type=Purchase]
[/showif]

Your order will be shipped as soon as your credit card has been charged.

You will be notified if there are any problems charging your card.<br>
<br>
[Text]__EMailFrom=[lookup db=WebMerchant/WebMerchantPrefs.db&lookInField=preference&value=EMailFrom&returnField=value&notFound=][/Text]
This page is your final receipt.[hideif [email]=] A copy will be emailed to [email].[/hideif]
Please note the order number on any correspondence. If you have any questions
about your order contact <a href="mailto:[__EMailFrom]">[__EMailFrom]</a>.<br>

[!]This provides the hook for WebMerchant[/!]
[!]Delete this snippet (until [!]END SNIPPET[/!]) if not using WebMerchant[/!]
[text]WebDelFol=[lookup db=WebMerchant/WebMerchantPrefs.db&lookinfield=preference&value=WebDeliveryFolder&returnfield=value&notfound=WebMerchant/WebDelivery/][/text]
[hideif [ProcessorMethod]^OB]
Please click <a href="[webdelfol][cart].tpl">here</a> to view authorization and download information.<br>
[/hideif]
[!]This writes out a temporary page that is replaced by the GoodPath/PendingPath/BadPath include files[/!]
[WRITEFILE secure=F&file=[webdelfol][cart].tpl]
<!--HAS_WEBDNA_TAGS-->
<HTML>
<HEAD>
<META name="Pragma" value="no-cache">
<META HTTP-EQUIV="Refresh" CONTENT="30; URL=[cart].tpl">
<TITLE>Processing</TITLE>
</HEAD>
<BODY bgcolor="#ffffff">
<H2>Your order is being processed</H2><BR>
<BR>
This URL will automatically reload every 30 seconds.
</BODY>
</HTML>
[/WRITEFILE]
[!]END SNIPPET[/!]

[!]Set the TextA-TextZ fields[/!]
[text]shopcart=[cart][/text]
[lineitems]
[search db=admin/carts.db&neCARTdatarq=find_all&rank=off][founditems]
[hideif [interpret][text[CART]][/interpret]=]
[!]--------------------------------------------------------------------------------
	TextBox Option
--------------------------------------------------------------------------------[/!]
[search db=admin/categories.db&eqC_TYPEdatarq=T&eqC_CARTdatarq=[url][cart][/url]&max=1]
[Founditems]
[setlineitem db=admin/categories.db&index=[lineindex]&cart=[shopcart]]text[CART]=[C_NAME]: [url][interpret][text[CART]][/interpret][/url][/setlineitem]
[/Founditems]
[/search]

[search db=admin/related.db&neR_CTYPEdatarq=T&eqR_IDdatarq=[interpret][text[CART]][/interpret]][founditems]
[setlineitem db=admin/categories.db&index=[lineindex]&cart=[shopcart]]text[CART]=[lookup db=admin/categories.db&lookinfield=C_ID&value=[R_CATEGORY]&returnfield=C_NAME&notfound=]: [url][R_NAME][/url][/setlineitem]
[/founditems][/search]
[/hideif]
[/founditems][/search]
[/lineitems]



<br>
<b>Order Number [cart]</b><br>
<b>Ship To</b><br>
<font size="-1">[shiptocompany]<br>
[shiptoname]<br>
[shiptoaddress1]<br>
[showif [shiptoaddress]!][shiptoaddress2]<br>[/showif]
[shiptoCity], [shiptostate] [shiptozip]<br>
[showif [shiptoCountry]!][shiptoCountry]<br>[/showif]
[showif [shiptoemail]!][shiptoemail][/showif]
</font>
<br>
<b>Bill To</b><br>
<font size="-1">[company]<br>
[name]<br>
[address1]<br>
[showif [address]!][address2]<br>[/showif]
[City], [state] [zip]<br>
[showif [Country]!][Country]<br>[/showif]
[showif [email]!][email][/showif]
</font>
<br>
<table width="95%" border="1">
<tr>
<th>SKU</th>
<th colspan="2">Product</th>
<th align="right">Qty</th>
<th align="right">Price</th>
<th align="right">Total</th>
</tr>
[lineItems]
<tr>
<td>[SKU]</td>
<td>[lookup db=admin/products.db&lookinfield=SKU&value=[url][sku][/url]&returnfield=TITLE]</td>
<td>
[search db=admin/carts.db&neCARTdatarq=find_all&rank=off][founditems]
[hideif [interpret][text[CART]][/interpret]=]
[search db=admin/related.db&eqR_IDdatarq=[interpret][text[CART]][/interpret]][founditems]
[lookup db=admin/categories.db&lookinfield=C_ID&value=[R_CATEGORY]&returnfield=C_NAME]:[R_NAME]
[/founditems][/search]
[/hideif]
[/founditems][/search]
</td>
<td align=right>[quantity]</td>
<td align=right>[lookup db=admin/prefs.db&lookinfield=pref&value=CURRENCY&returnfield=value][price]</td>
<td align=right>[lookup db=admin/prefs.db&lookinfield=pref&value=CURRENCY&returnfield=value][format .[lookup db=admin/prefs.db&lookinfield=pref&value=CURRENCY_ACCURACY&returnfield=value]f][math][quantity]*[price][/math][/format]</td>
</tr>
[/lineItems]
<tr><td align=right colspan="5"><b>Sub Total</b></td><td align=right><b>$[subTotal]</b></td></tr>

[showif [lookup db=admin/prefs.db&lookinfield=pref&value=SHIP_TAX&returnfield=value&notfound=F]=F]
<tr><td align="right" colspan="5">Tax Rate:[taxRate]% <b>Tax</b></td><td align=right><b>$[taxTotal]</b></td></tr>
<tr><td align="right" colspan="5"><b>Shipping &amp; Handling</b></td><td align=right><b>$[shippingTotal]</b></td></tr>
[/showif]

[showif [lookup db=admin/prefs.db&lookinfield=pref&value=SHIP_TAX&returnfield=value&notfound=F]=T]
<tr><td align="right" colspan="5"><b>Shipping &amp; Handling</b></td><td align=right><b>$[shippingTotal]</b></td></tr>
<tr><td align="right" colspan="5">Tax Rate:[taxRate]% <b>Tax</b></td><td align=right><b>$[taxTotal]</b></td></tr>
[/showif]

<tr><td align="right" colspan="5"><b>Grand Total</b></td><td align=right><b>$[grandTotal]</b></td></tr>
</table>

[!]--This sends the information via email if we were not using WebMerchant--[/!]
[hideif [email]=]

[Include file=WebMerchant/EmailsTemplates/Thankyou.email&StoreID=[lookup db=admin/prefs.db&lookinfield=pref&value=MERCH_STOREID&returnfield=value]&fromEmail=[url][__EMailFrom][/url]&toEmail=[url][email][/url]&cart=[cart]]

[/hideif]

[/orderfile]

[purchase cart=[cart]]

[/showif]

[/hideif]   [!] [failed]=T [/!]

</font>
