<!--HAS_WEBDNA_TAGS-->
[showif [REL_ROOT_DIR]=[raw][REL_ROOT_DIR][/raw]]
	[text]REL_ROOT_DIR=../[/text]
[/showif]
[include file=../calendarMath.tpl]
<LINK REL="StyleSheet" HREF="admin.css" TYPE="text/css">
<script language=javascript>
function validateForm(frm){

//weekly
if(frm.recurrence[1].checked){
	if(frm.weeklyWeekday[0].checked==false && frm.weeklyWeekday[1].checked==false && frm.weeklyWeekday[2].checked==false && frm.weeklyWeekday[3].checked==false && frm.weeklyWeekday[4].checked==false && frm.weeklyWeekday[5].checked==false && frm.weeklyWeekday[6].checked==false){
		alert("You must select atleast one weekday for a weekly recurrence.");
		frm.weeklyWeekday[0].focus();
		return(false);
	}
}
//monthly
if(frm.recurrence[2].checked){
	if(frm.monthlyDay[0].checked==false && frm.monthlyDay[1].checked==false){
		alert("You must select which monthly recurrence pattern you want.");
		frm.monthlyDay[0].focus();
		return(false);
	}	
	if(frm.monthlyDay[0].checked){
		if(isNaN(frm.monthlyDate.value) || frm.monthlyDate.value > 30){
			alert("A monthly date must be between 1 and 30.")
			frm.monthlyDate.focus();
			return(false);
		}
	}	
}
//yearly
if(frm.recurrence[3].checked){
	if(frm.yearlyDay[0].checked==false && frm.yearlyDay[1].checked==false){
		alert("You must select which Yearly recurrence pattern you want.");
		frm.yearlyDay[0].focus();
		return(false);
	}
	if(frm.yearlyDay[0].checked){
		if(isNaN(frm.yearlyDate.value) || frm.yearlyDate.value > 31){
			alert("A yearly date must be between 1 and 31.")
			frm.yearlyDate.focus();
			return(false);
		}
	}
}

//number of occurrences
if(frm.rangeEnd[1].checked){
	if(isNaN(frm.DAT_RECURRENCE_OCCURRENCES.value)){
		alert("Occurrences must be a positive number.")
		frm.DAT_RECURRENCE_OCCURRENCES.focus();
		return(false);
	}
}
//end date
if(frm.rangeEnd[2].checked){
	if(frm.DAT_RECURRENCE_END.value==''){
		alert("You must enter an end date for the end of this recurrence pattern.")
		frm.DAT_RECURRENCE_END.focus();
		return(false);
	}
}

//start date
if(frm.dat_date.value==''){
	alert("You must enter a start date for this recurrence pattern.")
	frm.dat_date.focus();
	return(false);
}

return(true);
}
</script>
<html>
<body>

[!]--------------------------------------------------------[/!]
[showif [remove]=Remove Recurrence]
	[replace db=../data/calendar.db&eqDAT_iddatarq=[DAT_id]&append=T]DAT_RECURRENCE_PATTERN=&DAT_RECURRENCE_END=&DAT_RECURRENCE_OCCURRENCES=[/replace]
	[if "[raw][callerurl][/raw]"="[callerurl]"][then]
		[redirect url=view_database.tpl?datasource=calendar.db]
	[/then]
	[else]
		[redirect url=[url][callerurl][/url]]
	[/else]
	[/if]
[/showif]

[showif [action]=update]
	[text]recurrenceString=[/text]
	[showif [recurrence]=daily]
		[text]recurrenceString=daily[/text]
	[/showif]
	[showif [recurrence]=weekly]
		[text]recurrenceString=[recurrence][formvariables name=weeklyWeekday&exact=f]_[value][/formvariables][/text]
	[/showif]
		
	[showif [recurrence]=monthly]
		[text]recurrenceString=[recurrence]_[monthlyday]_[showif [monthlyday]=date][monthlyDate][/showif][showif [monthlyday]=day][monthlyWeek]_[monthlyWeekday][/showif][/text]
	[/showif]
	
	[showif [recurrence]=yearly]
		[text]recurrenceString=[recurrence]_[yearlyday]_[showif [yearlyday]=date][Format thousands .2d][yearlyDate][/Format]-[yearlyDateMonth][/showif][showif [yearlyday]=day][yearlyWeek]_[yearlyWeekday]_[yearlyDayMonth][/showif][/text]
	[/showif]
	[showif [rangeEnd]=noend][text]myRangeEnd=767010[/text][/showif]
	[!]startdate=[math]{[dat_date]}[/math]<br>[/!]
	[showif [rangeEnd]=occurences][text]myRangeEnd=[getEndDate startdate=[dat_date]&occurences=[DAT_RECURRENCE_OCCURRENCES]&recurrenceString=[recurrenceString]][/text][/showif]
	[showif [rangeEnd]=endby]
		[text]myRangeEnd=[math]{[DAT_RECURRENCE_END]}[/math][/text]
		[text]DAT_RECURRENCE_OCCURRENCES=[/text]
	[/showif]

	[!]myRangeEnd:[myRangeEnd]<br>[/!]
	[replace db=../data/calendar.db&eqDAT_iddatarq=[DAT_id]&append=T]dat_date=[math]{[dat_date]}[/math]&DAT_STARTTIME=[math]{[DAT_STARTTIME]}[/math]&DAT_ENDTIME=[math]{[DAT_ENDTIME]}[/math]&DAT_RECURRENCE_PATTERN=[recurrenceString]&DAT_RECURRENCE_END=[myRangeEnd]&DAT_RECURRENCE_OCCURRENCES=[DAT_RECURRENCE_OCCURRENCES][/replace]
	[if "[raw][callerurl][/raw]"="[callerurl]"][then]
		[redirect url=view_database.tpl?datasource=calendar.db]
	[/then]
	[else]
		[redirect url=[url][callerurl][/url]]
	[/else]
	[/if]
[/showif]
[Search db=[REL_ROOT_DIR]data/calendar.db&eqDAT_iddatarq=[DAT_id]]
[showif [numfound]=0]
Not events found for dat_id:[dat_id]<br>
[/showif]
[founditems]
[!]------------------------------------------------------------------------[/!]
[!]if we don't have a pattern yet set some defaults based of the start date[/!]
[text]default_month=[Format days_to_date %B][DAT_DATE][/Format][/text]
[text]default_weekday=[Format days_to_date %A][DAT_DATE][/Format][/text]
[text]default_day=[Format days_to_date %d][DAT_DATE][/Format][/text]
[if "[DAT_RECURRENCE_PATTERN]"=""][then]
	[text]checkMonth=[default_month][/text]
	[text]checkWeekDay=[default_weekday][/text]
[/then]
[else]
	[text]checkMonth=[DAT_RECURRENCE_PATTERN][/text]
	[text]checkWeekDay=[DAT_RECURRENCE_PATTERN][/text]
[/else]
[/if]
[!]--------end of defaults-------------------------------------------------[/!]
<form method=post name="theForm" onSubmit = "return validateForm(document.theForm)" >
<input type=hidden name=dat_id value="[dat_id]">
<input type=hidden name=callerurl value="[callerurl]">

<TABLE WIDTH=725 BORDER=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=#EEEEEE>
<TR><TD >
	<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=#FFFFFF>
	<TR><TD>
			<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0>
			<TR><TD WIDTH=20 HEIGHT=20><IMG SRC="Graphics/tableleft.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALT=""></TD>
				<TD WIDTH="730" BACKGROUND="Graphics/tableback.gif" BGCOLOR=#333333><DIV CLASS="header">Recurrence</DIV></TD>
				<TD WIDTH=20><IMG SRC="Graphics/tableright.gif" BORDER="0" WIDTH="20" HEIGHT="20" ALT=""></TD>
			</TR>
			</TABLE>
	</TD></TR>
	</TABLE>
   </TD>
</TR>
<TR><TD HEIGHT=10><IMG SRC="Graphics/space.gif" BORDER="0" WIDTH="1" HEIGHT="1" ALT=""></TD></TR>
<TR>
  <TD  colspan>
	<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="69%" id="AutoNumber1" height="275">
	  <tr>
	    <td width="18%" height="23">Start&nbsp;Time:<input type="text" name="DAT_STARTTIME" value="[Hideif [DAT_STARTTIME]=][Format seconds_to_time %I:%M%p][DAT_STARTTIME][/Format][/Hideif]" size="9"></td>
	    <td width="60%" colspan="2" height="23">End Time:<input type="text" name="DAT_ENDTIME" value="[Hideif [DAT_ENDTIME]=][Format seconds_to_time %I:%M%p][DAT_ENDTIME][/Format][/Hideif]" size="10"></td>
	  </tr>
	  <tr>
	    <td width="100%" colspan="3" height="19">&nbsp;</td>
	  </tr>
	  <tr>
	    <td width="100%" colspan="3" height="19">Recurrence Pattern for <b>[dat_title]</b> </td>
	  </tr>
	  <tr>
	    <td width="18%" height="21">
	    
	      <p>
	      <input type="radio" value="daily" name="recurrence" [showif [DAT_RECURRENCE_PATTERN]~daily] checked [/showif]>Daily</p>
	    
	    </td>
	    <td width="60%" colspan="2" height="21">&nbsp;</td>
	  </tr>
	  [!]-----------------------Weekly-------------------------------------------------[/!]
	  <tr>
	    <td width="18%" height="21">
	    <input type="radio" value="weekly" name="recurrence" [showif [DAT_RECURRENCE_PATTERN]~weekly] checked [/showif]>Weekly</td>
	    <td width="60%" colspan="2" height="21">
	      [!]Recur every
	    <input type="text" name="T6" size="5" value="1"> week(s) on:[/!]
	      <p>
	
		[loop start=1&end=7]
		<input type="checkbox" name="weeklyWeekday" value="[DOW([index])]" [showif [checkWeekday]^[DOW([index])]] checked [/showif] onclick="document.theForm.recurrence(1).checked=true">[DOW([index])]&nbsp;
		[/loop]
	      </td>
	  </tr>
	  [!]-----------------------Monthly-------------------------------------------------[/!]
	  <tr>
	    <td width="18%" height="21">
	    <input type="radio" value="monthly" name="recurrence" [showif [DAT_RECURRENCE_PATTERN]~monthly] checked [/showif]>Monthly</td>
	    <td width="60%" colspan="2" height="21">
	    <input type="radio" name="monthlyDay" value="date" [showif [DAT_RECURRENCE_PATTERN]~monthly_date] checked [/showif]>Day<input type="text" name="monthlyDate" size="2" value="[hideif [DAT_RECURRENCE_PATTERN]~monthly_date][default_day][/hideif][showif [DAT_RECURRENCE_PATTERN]~monthly_date][middle startafter=monthly_date_][DAT_RECURRENCE_PATTERN][/middle][/showif]" maxlength="2" onclick="document.theForm.monthlyDay(0).checked=true;document.theForm.recurrence(2).checked=true"> 
	    of every
	    [!]<input type="text" name="T3" size="5" value="1">[/!] month<p>
	    <input type="radio" name="monthlyDay" value="day" [showif [DAT_RECURRENCE_PATTERN]~monthly_day] checked [/showif]>the 
	    <select size="1" name="monthlyWeek" onchange="document.theForm.recurrence(2).checked=true;document.theForm.monthlyDay[1].checked=true">
	     	[loop start=1&end=5]
	    	<option value="[index]" [showif [getchars start=13&end=13][DAT_RECURRENCE_PATTERN][/getchars]=[index]] selected [/showif]>[WOM([index])]</option>
	    	[/loop]
	    </select>
	    <select size="1" name="monthlyWeekday" onchange="document.theForm.recurrence(2).checked=true;document.theForm.monthlyDay[1].checked=true">
	     	[loop start=1&end=8]
	    	<option [showif [checkWeekday]^[DOW([index])]] selected [/showif]>[DOW([index])]</option>
	    	[/loop]
	    </select>of every
	    [!]<input type="text" name="T4" size="5" value="1">[/!] month</td>
	  </tr>
	  [!]-----------------------yearly-------------------------------------------------[/!]
	  <tr>
	    <td width="18%" height="21">
	    <input type="radio" value="yearly" name="recurrence" [showif [DAT_RECURRENCE_PATTERN]~yearly] checked [/showif]>Yearly</td>
	    
	    <td width="60%" colspan="2" height="21">
	    <input type="radio" name="yearlyDay" value="date" [showif [DAT_RECURRENCE_PATTERN]~yearly_date] checked [/showif]>Every 
	    <select size="1" name="yearlyDateMonth" onchange="document.theForm.recurrence(3).checked=true;document.theForm.yearlyDay[0].checked=true">
    	
		[loop start=1&end=12]
	    	<option [showif [checkMonth]^[MONTHS([index])]] selected [/showif]>[MONTHS([index])]</option>
	    	[/loop]
	
	    </select>
	    <input type="text" name="yearlyDate" size="5" value="[hideif [DAT_RECURRENCE_PATTERN]~yearly_date_][default_day][/hideif][showif [DAT_RECURRENCE_PATTERN]~yearly_date_][middle startafter=yearly_date_&endbefore=-][DAT_RECURRENCE_PATTERN][/middle][/showif]"  onclick="document.theForm.yearlyDay(0).checked=true;document.theForm.recurrence(3).checked=true"><p>
	    
	    <input type="radio" name="yearlyDay" value="day" [showif [DAT_RECURRENCE_PATTERN]~yearly_day] checked [/showif]>The 
	    <select size="1" name="yearlyWeek"  onchange="document.theForm.recurrence(3).checked=true;document.theForm.yearlyDay[1].checked=true">
	     	[loop start=1&end=5]
	    	<option value="[index]" [showif [getchars start=12&end=12][DAT_RECURRENCE_PATTERN][/getchars]=[index]] selected [/showif]>[WOM([index])]</option>
	    	[/loop]
	    </select>
	    <select size="1" name="yearlyWeekday"  onchange="document.theForm.recurrence(3).checked=true;document.theForm.yearlyDay[1].checked=true">

	     	[loop start=1&end=8]
	    	<option [showif [checkWeekday]^[DOW([index])]] selected [/showif]>[DOW([index])]</option>
	    	[/loop]
	    	
	    </select> of 
	    <select size="1" name="yearlyDayMonth"  onchange="document.theForm.recurrence(3).checked=true;document.theForm.yearlyDay[1].checked=true">
	    	[loop start=1&end=12]
	    	<option [showif [checkMonth]^[MONTHS([index])]] selected [/showif]>[MONTHS([index])]</option>
	    	[/loop]
	    </select></td>
	  </tr>
	  <tr>
	    <td width="100%" colspan="3" height="19">&nbsp;</td>
	  </tr>
	  <tr>
	    <td width="100%" colspan="3" height="19">Range of Recurrence</td>
	  </tr>
	  <tr>
	    <td width="18%" height="23">Start Date:<input type="text" name="dat_date" value="[Hideif [DAT_DATE]=][Format days_to_date][DAT_DATE][/Format][/Hideif]" size="9"></td>
	    <td width="14%" height="23">
	    
	      <p>
	      <input type="radio" value="noend" checked name="rangeEnd" [if ("[DAT_RECURRENCE_END]"="767010")|("[DAT_RECURRENCE_END]"="")][then] checked [/then][/if]>No End Date</p>
	    
	    </td>
	    <td width="46%" height="23">&nbsp;</td>
	  </tr>
	  <tr>
	    <td width="18%" rowspan="2" height="59">&nbsp;</td>
	    <td width="14%" height="36">
	    <input type="radio" value="occurences" name="rangeEnd" [hideif [DAT_RECURRENCE_END]=767010][showif [DAT_RECURRENCE_OCCURRENCES]!] checked [/showif][/hideif]>End after:</td>
	    <td width="46%" height="36"><input type="text" name="DAT_RECURRENCE_OCCURRENCES" value="[DAT_RECURRENCE_OCCURRENCES]" size="5" onclick="document.theForm.rangeEnd[1].checked=true">Occurrences</td>
	  </tr>
	  <tr>
	    <td width="14%" height="22">
	    <input type="radio" value="endby" name="rangeEnd" [hideif [DAT_RECURRENCE_OCCURRENCES]!][Hideif [DAT_RECURRENCE_END]=767010][Hideif [DAT_RECURRENCE_END]=] checked [/hideif][/hideif][/hideif]>End by:</td>
	    <td width="46%" height="22"><input type="text" name="DAT_RECURRENCE_END" value="[Hideif [DAT_RECURRENCE_END]=][Hideif [DAT_RECURRENCE_END]=767010][Format days_to_date][DAT_RECURRENCE_END][/Format][/Hideif][/Hideif]"size="10" onclick="document.theForm.rangeEnd[2].checked=true"></td>
	  </tr>
	</table>
</td>
</tr>
</table>
<input type=submit value=Update name=action>
<input type=submit value="Remove Recurrence" name=remove>
</form>

[/founditems]
[/search]
</body>
</html>