<!--HAS_WEBDNA_TAGS--><html>
[!]================================================================================
Takes the following steps to change to change the template for another database:
1) Choose a name for your database.  (e.g. STUFF.DB)
2) Choose a unique two character prefix followed by an underscore for the database.
   (e.g. ST_)
3) Define the first two fields in your database as an ID and RANK using the prefix.
   (e.g. ST_ID, ST_RANK)
4) Find and Replace the string "Groups" with your new database name.  (e.g. replace
   "Groups" with "stuff")  Replace all "Groups" in this template along with the 
   filenames.  (e.g. "Groups.tpl" and "edit_groups.tpl" becomes "stuff.tpl" and 
   "edit_stuff.tpl")
5) Find and Replace the string "GP_" with your prefix.  (e.g. "GP_" becomes "ST_")
- - - - - - - - - - - - - - - - - - - - 
For databases in the ADMIN directory:

1) Replace the <body> tag and <h1>HEADER</h1> with:

[include body_tag.inc]
[text]page_title=YOUR TITLE GOES HERE[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]

2) Replace "YOUR TITLE GOES HERE" with the Title for your page. (e.g. Stuff Database)
3) Replace "HELP_PAGE_CODE" with a unique help ID. (e.g. stuff_data)
4) Open "admin/helpdata.tpl" in your browser.
5) Add new HELP content using your unique help ID.


================================================================================[/!]

[include body_tag.inc]
[text]page_title=Groups Database Update[/text]
[text]helpid=HELP_PAGE_CODE[/text]
[include banner.inc]
[text]rel_root_path=../[/text]
<br>
<table width="500" border="1" cellspacing="0">
<tr>
<td valign="top">

[FormVariables name=back&exact=T][text]goback=T[/text][/FormVariables]

[ShowIf [deleteme]=delete]
[Redirect url=Groups.tpl?[Url]action=delete&__GP_ID=[__GP_ID][/Url]]
[!][DELETE db=[rel_root_path]groups.db&eqGP_iddatarq=[__GP_id]]
[text]goback=T[/text][/!]
[/ShowIf]



[ShowIf [dothis]=update]
[Replace db=[rel_root_path]groups.db&eqGP_iddatarq=[__GP_id]&append=T][Formvariables name=__&exact=F][Hideif [index]=1]&[/Hideif][GetChars start=3][name][/GetChars]=[Url][value][/Url][/Formvariables][/Replace]
[text]goback=T[/text]
[/ShowIf]

[!]Redirect to another page when "Done" is clicked[/!]

[ShowIf [goback]=T]
[REDIRECT url=Groups.tpl]
[/ShowIf]

[math show=F]newid=1+[Search db=[rel_root_path]groups.db&neGP_iddatarq=find_all&deGP_idsort=1&GP_idtype=number&max=1][ShowIf [numfound]=0]0[/ShowIf][FoundItems][GP_id][/FoundItems][/search][/math]
[Search db=[rel_root_path]groups.db&eqGP_iddatarq=[GP_id]]
[ShowIf [numfound]=0]
[Text]GP_id=[newid][/Text]
[ListFields db=[rel_root_path]groups.db]
  [Showif [fieldname]!GP_id][Text][fieldname]=[/Text][/Showif]
[/ListFields]

[/ShowIf]
[FoundItems]
[Text]GP_id=[GP_id][/Text]
[ListFields db=[rel_root_path]groups.db]
  [Showif [fieldname]!GP_id][Text][fieldname]=[Interpret][[fieldname]][/Interpret][/Text][/Showif]
[/ListFields]
[/FoundItems] 
[/Search]



<form name="frmGroups" method="post" action="edit_groups.tpl">
<input type="hidden" name="__GP_id" value="[GP_id]">
<input type="hidden" name="action" value="update">
<table border="0" cellspacing="0">
<tr>
  <td colspan="2" align="center"><b>ADD/EDIT RECORDS</b></td>
</tr>
[ListFields db=[rel_root_path]groups.db]
[Showif [fieldname]!GP_id]
<tr>
  <td>[GetChars start=4][fieldname][/GetChars]:</td>
<td>
[if "[fieldname]"="GP_Visible"][then]
   <select name="__[fieldname]" >
     <option value=T[showif [PH_type]=T] selected [/showif] >Yes
     <option value=F[showif [PH_type]=F] selected [/showif] >No
   </select>
[/then]
[else]
	[if "[fieldname]"="GP_CATEGORY"][then]
	   <select name="__GP_CATEGORY" >
	   	<option value="">No category
		[search db=../data/cat_groups.db&eqCAT_VISIBLEdatarq=T&CAT_RankSort=1&CAT_RankType=num]            
		[foundItems]
	     	<option value="[cat_id]"[showif [GP_CATEGORY]=[cat_id]] selected [/showif] >[cat_title]
		[/foundItems]
		[/search]
	   </select>
	[/then]
	[else]
	   [if "[fieldname]"="GP_Description"][then]
	   <textarea name="__[fieldname]" col=100 rows=10>[Interpret][[fieldname]][/Interpret]  </textarea>
	
	[/then]
	[else]
	   <input type="text" name="__[fieldname]" value="[Interpret][[fieldname]][/Interpret]">

	[/else]
	[/if]
	[/else]
	[/if]
[/else]
[/if]
</td>
</tr>
[/Showif]

[/ListFields]
<tr>
  <td>&nbsp;</td>
  <td><input type="submit" name="dothis" value="UPDATE"><input type="submit" name="deleteme" value="DELETE"><input type="submit" name="back" value="BACK TO MAIN"></td>
</tr>
</table>
</form>
</td>

</table>

</body></html>