<!--HAS_WEBDNA_TAGS-->

[text]user_files=[lookup db=prefs.db&lookinfield=pref&value=user_files&returnfield=value&notfound=user_files][/text]

[text]file_types=[lookup db=prefs.db&lookinfield=pref&value=tree_filter1&returnfield=value&notfound=_tpl_html_htm_inc_][/text]
[showif [mode]=db][text]file_types=[lookup db=prefs.db&lookinfield=pref&value=tree_filter2&returnfield=value&notfound=_db_hdr_][/text][/showif]

[function name=get_files][!]
[/!][math show=f&scope=global]total=total+1[/math][!]
[/!][text scope=global]table_[total]=[showif [total]=1][title][/showif][hideif [total]=1][in_path][/hideif][/text][!]
[/!][table scope=global&name=[showif [total]=1][title][/showif][hideif [total]=1][in_path][/hideif]&fields=index,item,Folder,path]
[listfiles path=[in_path]][!]
   IF this is a container node (has children), recurse into the child nodes
[/!][showif [IsFolder]=T][!]
[/!][index]	---->[filename]***[math scope=global]total+1[/math]	1	[hideif [root]=T][in_path]/[/hideif]
[get_files root=F&in_path=[hideif [root]=TT][in_path]/[/hideif][filename]][!]
[/!][/showif][!]

[/!][hideif [IsFolder]=T][!]
[/!][showif [file_types]^[middle startafter=.&endbefore=][filename][/middle]][!]
[/!][index]	[filename]	0	[hideif [root]=TT][in_path]/[/hideif]
[/showif][!]
[/!][/hideif][!]
[/!][/listfiles][/table][/function]


<html>
  <head>
    <title>MyWebDNAFiles</title>

    <!-- 
    Define CSS classes which govern how the tree widget is displayed.
    -->

    <style type="text/css">
      div.treewidgetcontainer
      { 
      }

      div.treewidgethandle
      { 
        cursor: pointer; cursor: hand;
      }

      div.treewidgetchildren 
      { 
        position: relative; 
        margin-left: 16px;
        display:none;
      }

      .treewidgetlabelopen:link, .treewidgetlabelopen:visited 
      { 
        color: black; 
        background-color: white; 
        text-decoration: none;
      }

      .treewidgetlabelclosed:link, .treewidgetlabelclosed:visited 
      { 
        color: black; 
        background-color: white; 
        text-decoration: none;
      }

      .treewidgetlabelopen:active, .treewidgetlabelclosed:active 
      { 
        color: white; 
        background-color: black; 
        text-decoration: none;
      }
    </style>    

    <script language="javascript" src="menu/xbDebug.js"></script>
    <script language="javascript" src="menu/xbTreeWidgetStatic.js"></script>
    <script language="javascript">

	function Navigate(path)
	{
		if (path)
		{
			if(window.opener)
			{
				[showif [mode]=edit]
				window.opener.LoadFile(path);
				[/showif]
				
				[showif [mode]=view]
				window.opener.LoadPreview(path);
				[/showif]
				
				[showif [mode]=db]
				window.opener.parent.frames.bottom.LoadDB(path);
				[/showif]
				
				window.close();
			}
		}
	}

      xbDEBUG.on = false;

      var handles = {open: '<img src="menu/menu_folder_open.gif">', closed: '<img src="menu/menu_folder_closed.gif">' };

      function makeLabels_old(label)
      {
        var labels = new Object();
        labels.open = '<a href="#" class="treewidgetlabelopen" onclick="window.status = (\'' + label + '\'); return false;">' + label + '<\/a>';
        labels.closed = '<a href="#" class="treewidgetlabelclosed" onclick="window.status = (\'' + label + '\'); return false;">' + label + '<\/a>';
        return labels;
      }

      function makeLabels(label, path)
      {
        var labels = new Object();
        if (path)
        {
           labels.open = '<img src="menu/menu_link_default.gif"><a href="#" class="treewidgetlabelopen" onclick="window.Navigate(\'' + path + '\'); return false;">' + label + '<\/a>';
        }
        else
        {
           labels.open = '<a href="#" class="treewidgetlabelopen" onclick="window.Navigate(\'' + path + '\'); return false;">' + label + '<\/a>';
        }
        labels.closed = '<a href="#" class="treewidgetlabelclosed" onclick="return false;">' + label + '<\/a>';
        return labels;
      }


[math show=f]total=0[/math]
[get_files root=T&in_path=[user_files]&title=My WebDNA Files]


[loop start=[total]&end=1&advance=-1]
[text]loop_index=[index][/text]
[search table=[interpret][table_[index]][/interpret]&neINDEXdata=getall&deFoldersort=1&asItemsort=2]
// [interpret][table_[index]][/interpret] - [numfound]
[showif 1!0]
[text]m_name=[interpret][table_[index]][/interpret][/text]
[showif [m_name]^/][listwords words=[m_name]&delimiters=/][text]m_name=[word][/text][/listwords][/showif]
// [m_name]
window.xbtree_[index] = new xbTreeWidgetStatic(handles, makeLabels('[m_name]', ''));
[/showif]
[founditems]
[showif [item]^---->]
if (xbtree_[middle startafter=***&endbefore=][item][/middle].children.length > 0) {
    xbtree_[loop_index].appendChild(xbtree_[middle startafter=***&endbefore=][item][/middle]);
}
[/showif]
[hideif [item]^---->]
xbtree_[loop_index].appendChild( new xbTreeWidgetStatic( handles, makeLabels('[item]', '[path][item]')) );
[/hideif]
[/founditems]
[/search]
[/loop]


[search db=Users.db&groupsword=ww&wogroupsdatarq=ADMIN&equserdatarq=[uppercase][username][/uppercase]&eqpassdatarq=[url][encrypt][uppercase][password][/uppercase][/encrypt][/url]]
[showif [numFound]>0]

[math show=f]total=0[/math]
[get_files root=T&in_path=^../&title=[showif [sandboxid]!]Sandbox [/showif]System Files]


[loop start=[total]&end=1&advance=-1]
[text]loop_index=[index][/text]
[search table=[interpret][table_[index]][/interpret]&neINDEXdata=getall&deFoldersort=1&asItemsort=2]
// [interpret][table_[index]][/interpret] - [numfound]
[showif 1!0]
[text]m_name=[interpret][table_[index]][/interpret][/text]
[showif [m_name]^/][listwords words=[m_name]&delimiters=/][text]m_name=[word][/text][/listwords][/showif]
// [m_name]
window.xbtreeG_[index] = new xbTreeWidgetStatic(handles, makeLabels('[m_name]', ''));
[/showif]
[founditems]
[showif [item]^---->]
if (xbtreeG_[middle startafter=***&endbefore=][item][/middle].children.length > 0) {
    xbtreeG_[loop_index].appendChild(xbtreeG_[middle startafter=***&endbefore=][item][/middle]);
}
[/showif]
[hideif [item]^---->]
xbtreeG_[loop_index].appendChild( new xbTreeWidgetStatic( handles, makeLabels('[item]', '[path][item]')) );
[/hideif]
[/founditems]
[/search]
[/loop]

xbtree_1.appendChild(xbtreeG_1);

[/showif]
[/search]


</script>
</head>
<body><br>
   <script language="javascript">
     // output the HTML which represents the tree
     document.write(xbtree_1.toHTML());
     focus();
   </script>
</body>
</html>

