<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New 'TRIM' parameter for [raw][GetChars][/raw]]
<p>
You can use the new <b>'TRIM=Right/Left/Both'</b> parameter for the [raw][GetChars][/raw] context to
remove leading and trailing white space in a given text string.
<p>

Example WebDNA:
<p>
<b>
[raw]
<xmp>
[text]test_string=
     This is a test.   
[/text]

<pre>
Example input string: "[test_string]"

Remove leading white space:
>[getchars start=1&end=&trim=left][test_string][/getchars]<

Remove trailing white space:
>[getchars start=1&end=&trim=right][test_string][/getchars]<

Remove leading and trailing white space:
>[getchars start=1&end=&trim=both][test_string][/getchars]<

Remove leading and trailing white space, and retrieve characters in the 1-4 positions:
>[getchars start=1&end=4&trim=both][test_string][/getchars]<

Remove leading and trailing white space, and retrieve characters in the 1-5 positions, from the end:
>[getchars start=1&end=5&trim=both&from=end][test_string][/getchars]<

</pre>
<b>Note that you still need to supply the 'start' and 'end' parameters.</b>
</xmp>
[/raw]
</b>

<p>
Results...
<hr>

[text]test_string=
     This is a test.   
[/text]


<pre>
Example input string: "[test_string]"
<p>

Remove leading white space:
>[getchars start=1&end=&trim=left][test_string][/getchars]<

Remove trailing white space:
>[getchars start=1&end=&trim=right][test_string][/getchars]<

Remove leading and trailing white space:
>[getchars start=1&end=&trim=both][test_string][/getchars]<

Remove leading and trailing white space, and retrieve characters in the 1-4 positions:
>[getchars start=1&end=4&trim=both][test_string][/getchars]<

Remove leading and trailing white space, and retrieve characters in the 1-5 positions, from the end:
>[getchars start=1&end=5&trim=both&from=end][test_string][/getchars]<

</pre>
<b>Note that you still need to supply the 'start' and 'end' parameters.</b>
<p>

[include file=../header.inc&top=F&page_title=New 'TRIM' parameter for [raw][GetChars][/raw]]

