
[showif [get]=false]
<b>Hello World!</b>
[/showif]

[hideif [get]=false]
<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New 'SKIPHEADER' parameter for [raw][tcpsend][/raw] context.]
<p>
Using 'SKIPHEADER=T' in the [raw][TCPSend][/raw] context will instruct the WebDNA engine to strip the MIME headers from the result (assuming that you are invoking an HTTP Get or Post).
<p>
For example:<br>
A simple HTTP GET without the SKIPHEADER set to 'T'
[raw]
<xmp>
[text]host=[listmimeheaders name=host&exact=false][value][/listmimeheaders][/text]

[tcpconnect host=[host]][tcpsend]
GET [thisurl]?get=false HTTP/1.0
HOST: [host]

[/tcpsend][/tcpconnect]
</xmp>
[/raw]
Result:
<hr>
[text]host=[listmimeheaders name=host&exact=false][value][/listmimeheaders][/text]

<xmp>[tcpconnect host=[host]][tcpsend]
GET [thisurl]?get=false HTTP/1.0
HOST: [host]

[/tcpsend][/tcpconnect]</xmp>
<hr>
With the 'SKIPHEADER=T' parameter...
[raw]
<xmp>
[tcpconnect host=[host]][tcpsend skipheader=T]
GET [thisurl]?get=false HTTP/1.0
HOST: [host]

[/tcpsend][/tcpconnect]
</xmp>
[/raw]
Results:
<hr>
<xmp>[tcpconnect host=[host]][tcpsend skipheader=T]
GET [thisurl]?get=false HTTP/1.0
HOST: [host]

[/tcpsend][/tcpconnect]</xmp>

<p>
[include file=../header.inc&top=F&page_title=New 'SKIPHEADER' parameter for [raw][tcpsend][/raw] context.]

[/hideif]