<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=[NumDims] Tag]
<p>
You can use the [NumDims] tag to retrieve the number of dimensions for an array.  For example:
[raw]
<xmp>
[ArraySet name=array_1&dim=3,3,10][/ArraySet]

array_1 contains [ArrayGet name=array_1][numdims][/ArrayGet] dimensions.<br>
</xmp>
[/raw]
Results:
<hr>
[ArraySet name=array_1&dim=3,3,10][/ArraySet]

array_1 contains [ArrayGet name=array_1][numdims][/ArrayGet] dimensions.<br>
<p>
You can also use the 'array name' global tag to retrieve the number of dimension in a named array object.  Here is the code:
[raw]
<xmp>
[ArraySet name=array_1&dim=3,3,10][/ArraySet]

array_1 contains [array_1(numdims)] dimensions.<br>
</xmp>
[/raw]
Results:
<hr>
[ArraySet name=array_1&dim=3,3,10][/ArraySet]

array_1 contains [array_1(numdims)] dimensions.<br>


<p>
[include file=../header.inc&top=F&page_title=New Page 7]