<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Page 3]
<p>
The <b>StartAt</b> parameter is usefull if you need to detect multiple instances of a string within the same 
text source.  It allows for development of a recursive function that will locate the matches.  For example:
<p>
<pre><xmp>[raw]
[text]source=Testing...testing...one...two...three...testing[/text]

[Function name=FindAll]
[text]found=[FindString source=[source]&find=[find]&startAt=[startat]&matchcase=[matchcase]&reverse=[reverse]][/text]
[showif [found]>0]
Found '[find]' at position [found].<br>
[FindAll source=[source]&find=[find]&startat=[math][found]+1[/math]&matchcase=[matchcase]&reverse=[reverse]]
[/showif]
[/function]

Case sensitive...<br>
[FindAll source=[source]&find=testing&matchcase=T&reverse=F]
<p>
Not case sensitive...and searched in reverse mode...<br>
[FindAll source=[source]&find=testing&matchcase=F&reverse=T]
[/raw]</xmp></pre>
Result...
<hr>
[text]source=Testing...testing...one...two...three...testing[/text]

[Function name=FindAll]
[text]found=[FindString source=[source]&find=[find]&startAt=[startat]&matchcase=[matchcase]&reverse=[reverse]][/text]
[showif [found]>0]
Found '[find]' at position [found].<br>
[FindAll source=[source]&find=[find]&startat=[math][found]+1[/math]&matchcase=[matchcase]&reverse=[reverse]]
[/showif]
[/function]

Case sensitive...<br>
[FindAll source=[source]&find=testing&matchcase=T&reverse=F]
<p>
Not case sensitive...and searched in reverse mode...<br>
[FindAll source=[source]&find=testing&matchcase=F&reverse=T]
<p>
[include file=../header.inc&top=F&page_title=Page 3]

