<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Example using 'preparse=T']
<p>
As mentioned before, The function definition is stored as
'raw' WebDNA that is executed when the function is called.  So how do we create
a function definition on-the-fly using WebDNA, i.e. not have to 'hard code' the function definition in the template?  We use the 'preparse' option.
<p>
For example, lets say we want to load a set of function definitions from a database.  Using
'preparse=T', we do the following...
<b>
[raw]
<xmp>
[search db=functions.db&neSKUdata=[blank]]
[founditems]
[function name=[name]&preparse=T]
[code]
[/function]
[/founditems]
[/search]

[Backward abc_123]
<br>
[Date]
</xmp>
[/raw]
</b>
....
<p>
Results...
<hr>
[search db=functions.db&neSKUdata=[blank]]
[founditems]
[function name=[name]&preparse=T]
[code]
[/function]
[/founditems]
[/search]

[Backward abc_123]
<br>
[Date]
<hr>
So, in this case the code for both the 'Backward' and 'Date' functions is
pulled from the functions.db.  You can click
<a href="javascript:opener.focus();opener.bottom.LoadDB1('../../../database.tpl', 'user_files/tutorials/Function_Context/functions.db');">here</a>
to load the functions.db into the database view pane.

[include file=../header.inc&top=F&page_title=Example using 'preparse=T']