<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=The 'old' Solution]
<p>
One way that WebDNA programmers have dealt with unwanted return characters, is
to wrap line-endings, or other unwanted white space, with WebDNA comments, 
i.e. [raw][!]...[/!][/raw].  So the function definition on the previous page
would look like...
[raw]
<xmp>
[function name=add_em_up][!]
[/!][text]result=0[/text][!]
[/!][loop start=1&end=10][!]
[/!][text]result=[math][result]+[index][/math][/text][!]
[/!][/loop][!]
[/!][result][!]
[/!][/function]
</xmp>
[/raw]

Executing the above function, and wrapping the result with URL tags, we get:

[function name=add_em_up][!]
[/!][text]result=0[/text][!]
[/!][loop start=1&end=10][!]
[/!][text]result=[math][result]+[index][/math][/text][!]
[/!][/loop][!]
[/!][result][!]
[/!][/function]

"[url][add_em_up][/url]"
<p>
The extra 'garbage' is gone, but using all those [raw][!][/!][/raw] pairs is cumbersome,
and does add some extra parsing overhead.
<p>
[include file=../header.inc&top=F&page_title=Page 3]

