<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLResult - Introduction]
[include file=javascript.inc&source=example3.inc]
<p>
We now move on to the <b>[raw][SQLResult][/raw]</b> context.  This context is used to access the results of a previous successful execution of <b>[raw][SQLExecute][/raw]</b>.
After the basics are laid out, you will be presented with an opportunity to try it yourself.<br>
<br>
Continuing from our previous example, we will execute the same "select" statement against our "SMSITest" sample database but this time we will iterate through all records and display their respective values.<br>
<br>
For example, click "Go" to execute the following:
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="400" style="visibility: visible;" src="display_source.tpl?source=example3.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>

<div id="div_SQLResultDoc" style="visibility: hidden;"">
You should see a total of 15 records listed above.  Let us now examine the details of the <b>[raw][SQLResult][/raw]</b> context.<br>
<br>
<b>Parameters:</b><p>
- <b>result_ref</b> (or simply <b>ref</b>) is <i>required</i> and is the name of the SQLResult variable you created with a prior execution of <b>[raw][SQLExecute][/raw]</b> (the value you set for the "result_var" or "var" parameter)<br>
<br>
<b>Tags available from within [raw][SQLResult][/raw]:</b>
<p>
- <b>[raw][COMMANDTEXT][/raw]</b> returns the SQL Command/Query string that was executed via the [raw][SQLExecute][/raw] context.<br>
- <b>[raw][NUMFOUND][/raw]</b> returns the number of records in the result set of a SELECT command/query<br>
- <b>[raw][NUMFIELDS][/raw]</b> returns the number of fields in the result set of a SELECT command/query<br>
- <b>[raw][NUMROWSAFFECTED][/raw]</b> returns the number of rows changed by an INSERT/UPDATE/DELETE command<br>
- <b>[raw][INSERTID][/raw]</b> returns the insert ID of a successfull INSERT command<br>
<br>
Note that the familiar <b>[raw][founditems][/raw]</b> context is used to iterate the resulting record set.  Also note that the 
field values are retrived using tags that match the field names, just as you would when using [raw][founditems][/raw] from within a WebDNA <b>[raw][Search][/raw]</b> context.
<p>
In the next few pages, we will discuss the <b>[raw][ListFields][/raw]</b>context; examine 
a new behavior for <b>[raw][founditems][/raw]</b>; and explain the new 
<b>[raw][field][/raw]</b> tag that can also be used to retrieve field data (and other field information as well).
</div>
<p>
[include file=../header.inc&top=F&page_title=SQLResult]