<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNodes IV]

You can embed any number of [raw][xmlnodes][/raw] contexts within each other.  Lets do this to 
iterate the child nodes of all the 'CD' nodes...<p>
<p>
We use...
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

[xmlnodes ref=xml_var1&path=named:Catalog]
[name] - [index]<br>
 [xmlnodes]
 - [name]=[value]<br>
 [/xmlnodes]
[/xmlnodes]
</xmp>
</b>
[/raw]
Results....<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
[xmlnodes ref=xml_var1&path=named:Catalog]
[name] - [index]<br>
 [xmlnodes]
 - [name]=[value]<br>
 [/xmlnodes]
[/xmlnodes]
<hr>
Now we are getting some interesting results.  Note that the 'inner' xmlnodes context did not need a 'ref' parameter.
 This is because the inner xmlnodes context inherited the outer xmlnodes' current iterated node.
 Also notice that the inner xmlnodes context did not use a 'path' parameter.  So it uses the 'root' path
 of the outer xmlnodes' current iterated node.
<p>
Did you also notice the use of the [raw][index][/raw] tag in the outer xmlnodes context?  As with most 'iterative' WebDNA contexts,
the [index] tag resolves to the current iteration 'count'.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNodes IV]