<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=XSLT]
<p>
Now that you know how to compile and persist XSL code, lets take a look at the 
XSLT context.
<p>
The [raw][XSLT][/raw] Context allows the WebDNA programmer to 'apply' an XSL style sheet
to an XML document and thus 'transform' the XML data into any format the 
programmer desires (usually HTML). Here is the syntax...
<p>
<b>[raw]<xmp>[XSLT xslref=...(or xslsource=...)&xmlsource=]<optional in-line xml data>[/XSLT]</xmp>[/raw]</b>
<p>
The parameters...
<p>
<b>xslref</b> - named reference to a previously compiled block of XSL source.
<p>
<b>xslsource</b> - URL path to an external XSL document.  This is an alternative to using the 
xslref parameter.  Meaning that it is possible to use the [raw][XSLT][/raw] context
without having used the [raw][XSL][/raw] context to pre-compile XSL source code.  However, if you plan to 
use the same XSL code several times throughout the template, then it would be more 
efficient to compile the XSL source code once, using [raw][XSL][/raw], then just use the 
XSL object reference when needed.
<p>
<b>xmlsource</b> - URL reference to an external XML document on which to apply the XSL transformation.  If this parameter
is supplied, then any in-line XML code that exists between the [raw][XSLT][/raw] tags will
be ignored.
<p>

[include file=../header.inc&top=F&page_title=XSLT]

