[protect admin]

[function name=HasIllegalCharacters]
[text]ret=F[/text]
[showif [url][instring][/url]^[url]&[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]/[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]\[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]:[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]*[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]?[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]"[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]<[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]>[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]|[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url] [/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url].[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]+[/url]][text]ret=T[/text][/showif]
[return][ret][/return]
[/function]

<HTML>
<HEAD>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=iso-8859-1">
	<META NAME="Author" Content="Scott Anderson">
	<META http-equiv="Pragma" content="no-cache">
	<TITLE>WebDNA - Orderfile Security</TITLE>
<!--HAS_WEBDNA_TAGS-->
</HEAD>
<STYLE type="text/css">
.info {background: #CCCCFF; color: #000000; font-size: 12}
</STYLE> 
<BODY BGCOLOR="#FFFFFF">


[!][formvariables][name]=[value]<br>[/formvariables][/!]



[showif [submit]=Add]
[text]ok=T[/text]

[!] Check if prefix is empty [/!]
[showif =[_prefix]]
[text]ok=F[/text]
<p>You must supply an Key.<p>
[/showif]

[!] Check if this prefix exists [/!]
[showif [search db=WDNA_OFS.db&eqprefixdatarq=[_prefix]][numfound][/search]>0]
[text]ok=F[/text]
<p>[_prefix] is allready taken.<p>
[/showif]

[!] Check if key is empty [/!]
[showif =[url][_key][/url]]
[text]ok=F[/text]
<p>You must supply a key to be used for Credit Card encryption<p>
[/showif]

[showif [HasIllegalCharacters instring=[url][_prefix][/url]]=T]
[text]ok=F[/text]
Sorry, but "[_prefix]" contains illegal characters and can not be used for a Credit Card encryption prefix
[/showif]

[showif [ok]=T]
[append db=WDNA_OFS.db][!]
[/!]prefix=[url][_prefix][/url]&[!]
[/!]key=[url][_key][/url]&[!]
[/!]active=F&[!]
[/!]create_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]mod_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]create_user=[username]&[!]
[/!]mod_user=[username][/append]

[/showif] [!] ok=T [/!]

[/showif] [!] submit=Add [/!]




[showif [submit]=Delete]
<b>Are you sure you wish to delete this Prefix/Key record?</b>
<form method=post action=OrderfileSecurity.tpl>
<input type=hidden name=_prefix value="[_prefix]">
<input type=submit name=submit value="Yes, Delete This Record">
</form>
<p>
<form method=post action=OrderfileSecurity.tpl>
<input type=submit name=submit value="Cancel">
</form>
<hr>
[search db=WDNA_OFS.db&eqprefixdatarq=[_prefix]&max=1]
[founditems]
<table bolder=0>
<tr><td>prefix</td><td>[prefix]</td></tr>
<tr><td>key</td><td>[key]</td></tr>
<tr><td>Created</td><td>[create_date] by [create_user]</td></tr>
</table>
[/founditems]
[/search]
[/showif]


[showif [submit]=Yes, Delete This Record]
[delete db=WDNA_OFS.db&eqprefixdatarq=[url][_prefix][/url]]
[/showif]




[showif [submit]=Activate]
<b>Are you sure you wish to activate this Prefix/Key record?<p>
This means that the key descibed below will be used, from this point on, for secure orderfile headers encryption.</b>
<form method=post action=OrderfileSecurity.tpl>
<input type=hidden name=_prefix value="[_prefix]">
<input type=submit name=submit value="Yes, Activate This Record">
</form>
<p>
<form method=post action=OrderfileSecurity.tpl>
<input type=submit name=submit value="Cancel">
</form>
<hr>
[search db=WDNA_OFS.db&eqprefixdatarq=[_prefix]&max=1]
[founditems]
<table bolder=0>
<tr><td>prefix</td><td>[prefix]</td></tr>
<tr><td>key</td><td>[key]</td></tr>
<tr><td>Created</td><td>[create_date] by [create_user]</td></tr>
</table>
[/founditems]
[/search]
[/showif]


[showif [submit]=Yes, Activate This Record]
[replace db=WDNA_OFS.db&neprefixdatarq=[blank]]active=F[/replace]
[replace db=WDNA_OFS.db&eqprefixdatarq=[url][_prefix][/url]]active=T[!]
[/!]&mod_date=[date format=%Y%m%d].[time format=%H%M][!]
[/!]&mod_user=[username][/replace]
[/showif]




[showif [submit]=Deactivate]
<b>Are you sure you wish to deactivate this Prefix/Key record?<p>
If there is no active key, the WebDNA process will no longer encrypt secure orderfile headers.</b>
<form method=post action=OrderfileSecurity.tpl>
<input type=hidden name=_prefix value="[_prefix]">
<input type=submit name=submit value="Yes, Deactivate This Record">
</form>
<p>
<form method=post action=OrderfileSecurity.tpl>
<input type=submit name=submit value="Cancel">
</form>
<hr>
[search db=WDNA_OFS.db&eqprefixdatarq=[_prefix]&max=1]
[founditems]
<table bolder=0>
<tr><td>prefix</td><td>[prefix]</td></tr>
<tr><td>key</td><td>[key]</td></tr>
<tr><td>Created</td><td>[create_date] by [create_user]</td></tr>
</table>
[/showif]


[showif [submit]=Yes, Deactivate This Record]
[replace db=WDNA_OFS.db&eqprefixdatarq=[url][_prefix][/url]]active=F[!]
[/!]&mod_date=[date format=%Y%m%d].[time format=%H%M][!]
[/!]&mod_user=[username][/replace]
[/showif]




[hideif |Delete|Activate|Deactivate|^|[submit]|]
<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" width=100%>
	<TR>
		<td>
		<table cellpadding=0 cellspacing=0 border=0 width=100%>
		<tr><td width=25% BGCOLOR="#CCCCFF"><font size=-1>Updated 10/22/2004, 3:00:00 PM</font></td>
		<TH width=50% BGCOLOR="#CCCCFF"><FONT SIZE="5">WebDNA - Orderfile Security</FONT></TH>
		<td width=25% BGCOLOR="#CCCCFF" align=right> </td></tr>
		</table>
		</td>
	</TR>
	<TR>
		<TD VALIGN="TOP" BGCOLOR="#FFFFCC" ALIGN=CENTER><FONT SIZE="4">Prefix/Key pairs</FONT></TD>
	</TR>
	<TR>
		<TD VALIGN="TOP">
			<TABLE BORDER="0" width=100%>
				<TR  bgcolor=#999966 align=left><TH>PREFIX : KEY</TH><TH>ACTION</TH><TH>INFO</TH></TR>
				[search db=WDNA_OFS.db&neprefixdata=[blank]&asCREATE_DATEsort=1&CREATE_DATEtype=num]
				[founditems]
				[text]bgcolor=bgcolor=#CCCCFF[/text]
				[showif [index]\2][text]bgcolor=bgcolor=#CCCC99[/text][/showif]
				<FORM ACTION="OrderfileSecurity.tpl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
				<input type=hidden name=_prefix value="[prefix]">
				<TR [bgcolor]>
				<TD>
				<b>[prefix] : [key]</b>[showif [active]=T]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*** ACTIVE ***[/showif]<br>
				</td>
				<td>
				<input type=submit name=submit value=Delete>
				[showif [active]=F]
				<input type=submit name=submit value=Activate>
				[/showif]
				[hideif [active]=F]
				<input type=submit name=submit value=Deactivate>
				[/hideif]
				</td>
				<td>
				Created: [create_date] - [create_user]<br>
				Last Changed: [mod_date] - [mod_user]<br>
				</td>
				</TR>
				</FORM>
				[/founditems]
				[/search]
				<FORM ACTION="OrderfileSecurity.tpl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
				<TR BGCOLOR="#FFFFAA">
				<TD>
				Enter a unique prefix (up to 8 characters):<br>
				<input name=_prefix type=text value="" size=12 MAXLENGTH=8><br>
				Enter a Key (seed) valued for this prefix (up to 8 characters):<br>
				<input name=_key type=text value="" size=12 MAXLENGTH=8>
				</td>
				<td colspan=2><input type=submit name=submit value=Add></td>
				</TR>
				</FORM>
			</TABLE>
		</TD>
	</TR>
<tr><td align=center bgcolor="#CCCCFF">
	<b>STATUS:<p>
[search db=WDNA_OFS.db&eqACTIVEdatarq=T&rank=off]
[showif [numfound]>0]
	[founditems]
	[showif [index]=1]
	WebDNA is set to encrypt the following orderfile headers using a seed value of '[key]':<p>
	ACCOUNTNUM<br>
	BANKROUTINGNUMBER<br>
	BANKACCOUNTNUMBER<br>
	CCID<br>
	CUSTOMERTAXID<br>
	DRIVERSLICENSENUMBER<br>
	RESELLERNUMBER<p>
	The encrypted headers will be prefixed with the text '[prefix]'.<p>
	[/showif]
	[/founditems]
[/showif]
[hideif [numfound]>0]
There is no ACTIVE record.  WebDNA will not encrypt the following headers when writting an orderfile to disk:<p>
ACCOUNTNUM<br>
BANKROUTINGNUMBER<br>
BANKACCOUNTNUMBER<br>
CCID<br>
CUSTOMERTAXID<br>
DRIVERSLICENSENUMBER<br>
RESELLERNUMBER<br>
[/hideif]
[/search]
</b><p>
<b>Note:</b> Whether or not there is an active encryption record, the WebDNA process will check against all keys in this table when an encrypted orderfile header is encountered.</td></tr>
</td></tr></TABLE>
[/hideif] [!] submit=Delete [/!]

</BODY>

</HTML>
