[!] Stock WebDNA Functions [/!]

[!]
  This file will automatically be included in all pages if you
  enable the sample 'PreParse' script via the WebDNA admin/preferences page
  
  Or you can explicitly include this file using: 
  [include file=^FunctionDefs/StockWebDNAFunctions.inc]
  in any of your templates.
[/!]


[!]
  You should place your own function definitions into a
  separate '.inc' file in this folder, as future WebDNA upgrades
  will likely overwrite this file.
[/!]




[!] [FACTORIAL num=...]
  Calculates a factorial
  Input: Integer
  Output: The factorial value.
  For example, if the given integer is 5, then the result will be 5*4*3*2*1 = 120
  
  Example usage: [factorial num=5]
[/!]
  
[function name=factorial]
[showif [math][num]+0[/math]![num]]
[return]Error: Parameter 'num' must be an integer[/return]
[/showif]

[showif [num]>1]
[return][math][num]*[factorial num=[math][num]-1[/math]][/math][/return]
[/showif]

[hideif [num]>1]
[return]1[/return]
[/hideif]
[/function]
