[!]
	Author: Grant Hulbert, ghulbert@smithmicro.com
	Copyright: 1998-1999, Smith Micro Software, All Rights Reserved
	Notice: Do not distribute in unencrypted form!

	12/09/1999	GLH	Initial Release
	12/10/1999	GLH	Note: Currency hard-coded to USD
	01/20/2000	GLH added bill_country

[/!]



[!] These are not needed, it seems.
[text]port=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourcePort&returnField=value][/text]
[text]proxy=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxy&returnField=value][/text]
[text]proxyuser=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxyUser&returnField=value][/text]
[text]proxypass=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxyPass&returnField=value][/text]
[/!]


[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]avs=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=AddressVerify&returnField=value][/text]
[text]classPath=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceClassPath&returnField=value][/text]
[text]cleanYear=[expYear][/text]

[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]][today]	[now]	Sending CyberSource Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format]/[format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]


[ShowIf [payMethod]=VO]
	[text]_command=ics_credit[/text]
[/ShowIf]

[HideIf [payMethod]=VO]
	[text]_command=ics_auth,ics_bill[/text]
	[ShowIf [payMethod]=BK]
		[text]_command=ics_auth[/text]
	[/ShowIf]
	[ShowIf [payMethod]=SH]
		[text]_command=ics_bill[/text]
	[/ShowIf]
[/HideIf]



[Text]P01=[URL][ListWords Words=[Name]][ShowIf [index]=1][word][/ShowIf][/ListWords][/URL][/Text]
[Text]P02=[URL][ListWords Words=[Name]][ShowIf [index]=2][word][/ShowIf][/ListWords][/URL][/Text]
[Text]P03=[Email][/Text]
[Text]P04=[Phone][/Text]
[Text]P05=[Url][Address1][/Url][/Text]
[Text]P06=[Url][Address2][/Url][/Text]
[Text]P07=[Url][City][/Url][/Text]
[Text]P08=[Url][State][/Url][/Text]
[Text]P09=[Url][Zip][/Url][/Text]
[Text]P10=[Url][showif [Country]!][Country][/showif][showif [Country]=]United States[/showif][/Url][/Text]

[Text]P11=[ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/Text]
[Text]P12=[format .2d][expMonth][/format][/Text]
[Text]P13=[expYear][/Text]
[Text]P14=USD[/Text]
[Text]P15=[Cart][/Text]
[Text]P16=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceMerchantID&returnField=value][/Text]
[Text]P17=[ProductName][/Text]
[Text]P18=[ProductCode][/Text]
[Text]P19=[MerchantProductSKU][/Text]
[Text]P20=[PackerCode][/Text]

[Text]P21=[GrandTotal][/Text]
[Text]P22=1[/Text]
[Text]P23=[CDKPath][/Text]
[Text]P24=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceServer&returnField=value][/Text]
[Text]P25=[port][/Text]
[Text]P26=[proxy][/Text]
[Text]P27=[proxyuser][/Text]
[Text]P28=[proxypass][/Text]
[Text]P29=[_command][/Text]
[Text]P30=0[/Text]

[Text]P31=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourcePrivateKeyFile&returnField=value][/Text]
[Text]P32=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceMyCertFile&returnField=value][/Text]
[Text]P33=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceServerID&returnField=value][/Text]
[Text]P34=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceServerCertFile&returnField=value][/Text]


[!]

Hard-coded snippet - use these if you want to do some testing.

[Text]classPath=D:\cdkjava12;D:\cdkjava12\cdkjava12_3210.jar[/Text]

[Text]P03=james@smsi.com[/Text]
[Text]P04=800.555.1212[/Text]
[Text]P05=51 Columbia[/Text]
[Text]P06=#200[/Text]
[Text]P07=Aliso Viejo[/Text]
[Text]P08=CA[/Text]
[Text]P09=92656[/Text]

[Text]P12=11[/Text]
[Text]P13=2000[/Text]

[Text]P15=123456789[/Text]
[Text]P16=ICS2Test[/Text]
[Text]P17=[ProductName][/Text]
[Text]P18=[ProductCode][/Text]
[Text]P19=[MerchantProductSKU][/Text]
[Text]P20=[PackerCode][/Text]


[text]P24=http://ics2test.ic3.com[/text]

[Text]P31=D:\cdkjava12\keys\ICS2Test.pvt[/Text]
[Text]P32=D:\cdkjava12\keys\ICS2Test.crt[/Text]
[Text]P33=CyberSource_SJC_US[/Text]
[Text]P34=D:\cdkjava12\keys\CyberSource_SJC_US.crt[/Text]

[/!]



[!]----- These fields cannot be empty, so they are filled with dummy data here.
But it should be handled in the calling module -----[/!]
[showif [P03]=][Text]P03=support@smithmicro.com[/Text][/showif]
[showif [P04]=][Text]P04=949-362-5800[/Text][/showif]
[showif [P11]=][Text]P11=4111111111111111[/Text][/showif]


[AppendFile CyberSource.log]

********* Parameter Lists *************
accountnum=[accountnum]
classPath=[classPath]<BR>
P01=[P01]<BR>
P02=[P02]<BR>
P03=[P03]<BR>
P04=[P04]<BR>
P05=[P05]<BR>
P06=[P06]<BR>
P07=[P07]<BR>
P08=[P08]<BR>
P09=[P09]<BR>
P10=[P10]<BR>
P11=[P11]<BR>
P12=[P12]<BR>
P13=[P13]<BR>
P14=[P14]<BR>
P15=[P15]<BR>
P16=[P16]<BR>
P17=[P17]<BR>
P18=[P18]<BR>
P19=[P19]<BR>
P20=[P20]<BR>
P21=[P21]<BR>
P22=[P22]<BR>
P23=[P23]<BR>
P24=[P24]<BR>
P25=[P25]<BR>
P26=[P26]<BR>
P27=[P27]<BR>
P28=[P28]<BR>
P29=[P29]<BR>
P30=[P30]<BR>
P31=[P31]<BR>
P32=[P32]<BR>
P33=[P33]<BR>
P34=[P34]<BR>
P35=[avs]<BR>

[/AppendFile] 



[text show=f]returnString=[OBJECT objname=CyberSourceAuth&type=1&classpath=[classpath][!]
[/!]&call=AuthorizeThis[!]
[/!]&param1=[P01]&param1type=str[!] 
[/!]&param2=[P02]&param2type=str[!] 
[/!]&param3=[P03]&param3type=str[!] 
[/!]&param4=[P04]&param4type=str[!] 
[/!]&param5=[P05]&param5type=str[!] 
[/!]&param6=[P06]&param6type=str[!] 
[/!]&param7=[P07]&param7type=str[!] 
[/!]&param8=[P08]&param8type=str[!] 
[/!]&param9=[P09]&param9type=str[!] 
[/!]&param10=[P10]&param10type=str[!] 

[/!]&param11=[P11]&param11type=str[!] 
[/!]&param12=[P12]&param12type=str[!] 
[/!]&param13=[P13]&param13type=str[!] 
[/!]&param14=[P14]&param14type=str[!] 
[/!]&param15=[P15]&param15type=str[!] 
[/!]&param16=[P16]&param16type=str[!] 
[/!]&param17=[P17]&param17type=str[!] 
[/!]&param18=[P18]&param18type=str[!] 
[/!]&param19=[P19]&param19type=str[!] 
[/!]&param20=[P20]&param20type=str[!] 

[/!]&param21=[P21]&param21type=str[!] 
[/!]&param22=[P22]&param22type=str[!] 
[/!]&param23=[P23]&param23type=str[!] 
[/!]&param24=[P24]&param24type=str[!] 
[/!]&param25=[P25]&param25type=str[!] 
[/!]&param26=[P26]&param26type=str[!] 
[/!]&param27=[P27]&param27type=str[!] 
[/!]&param28=[P28]&param28type=str[!] 
[/!]&param29=[P29]&param29type=str[!] 
[/!]&param30=[P30]&param30type=str[!] 

[/!]&param31=[P31]&param31type=str[!] 
[/!]&param32=[P32]&param32type=str[!] 
[/!]&param33=[P33]&param33type=str[!] 
[/!]&param34=[P34]&param34type=str[!] 
[/!]&param35=[avs]&param35type=str[!] 
[/!]][/OBJECT][/Text]


[AppendFile CyberSource.log]

************* Response ***************
[returnString]
[/AppendFile]

[text multi=t][ConvertChars db=ConvertCrLf.db][returnString][/ConvertChars][/text]


&m_status=[ShowIf [auth_rflag]~S]Approved[/ShowIf][HideIf [auth_rflag]~S][auth_rflag][/HideIf]&m_AuthNum=[auth_auth_code]&m_Response=[auth_rmsg]&m_BatchNum=&m_RefNum=[request_id]&m_SequenceNum=[request_id]&m_ItemNum=&m_AddressResponse=[auth_auth_avs]&garbage=
