garbage=
[!] Copyright 2000, Oak Hill Software http://www.oakhillsoftware.com [/!]

[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]user=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlow_Pro_User&returnField=value][/text]
[text]pass=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlow_Pro_Pass&returnField=value][/text]
[text]mode=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlow_Pro_Mode&returnField=value][/text]
[text]client=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlow_Pro_Client&returnField=value][/text]
[text]cleanYear=[expYear][/text]
[ShowIf [expYear]>99][text]cleanYear=[math][expYear]-1900[/math][/text][/ShowIf]<br>
[text]cleanYear=[format .2d][GetChars start=1&end=2&from=end][cleanYear][/GetChars][/format][/text]<br>
[text]classPath=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlowProClassPath&returnField=value][/text]
[text]CertPath=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PayFlowProCertPath&returnField=value][/text]

[!]clear out old values[/!]
[text multi=T]result=&authcode=&respmsg=&MErrMsg=&pnref=&avsaddr=&avszip=[/text]<br>


[!][text]content="TRXTYPE=S&TENDER=C&PWD=[pass]&USER=[user]&ACCT=[accountNum]&EXPDATE=[format .2d][expMonth][/format][cleanYear]&AMT=[grandTotal]&INVNUM=[cart]&STREET=[address1]&ZIP=[zip]&" 30[/text][/!]
[text]po0=[hideif [mode]=connect]test-[/hideif]payflow.verisign.com[/text]
[Text]po1=443[/Text]
[Text]po3=C[/Text]
[Text]po4=[pass][/Text]
[Text]po5=[user][/Text]
[Text]po6=[accountNum][/Text]
[Text]po7=[format .2d][expMonth][/format][cleanYear][/Text]
[Text]po8=[grandTotal][/Text]
[Text]po9=[cart][/Text]
[Text]po10=Good Customer[/Text]
[Text]po11=[/Text]
[Text]po12=[address1][/Text]
[Text]po13=[zip][/text]
[Text]po14=30[/Text]
[Text]po15=[CertPath][/Text]
[Text]po16=VeriSign[/Text]
[Text]po17=[/Text]
[Text]po18=[/Text]
[Text]po19=[/Text]
[Text]po20=[/Text]


[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]&secure=t][today]	[now]	OHS:Sending PayFlow Pro Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format]/[format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]

[showif [payMethod]=CC]
	[Text]po2=S[/Text]
[/showif]

[showif [payMethod]=BK]
	[Text]po2=A[/Text]
[/showif]

[showif [payMethod]=SH]
	[Text]po2=D[/Text]
	[Text]po6=[ReferenceNumber][/Text]
[/showif]


[showif [payMethod]=VO]
	[Text]po2=V[/Text]
	[Text]po6=[ReferenceNumber][/Text]
[/showif]

[showif [payMethod]=CR]
	[Text]po2=C[/Text]
	[Text]po6=[ReferenceNumber][/Text]
[/showif]



[Text]returnString=[OBJECT objname=PFProJava_Verisign&type=1&classpath=[classpath][!]
[/!]&call=testResults[!]
[/!]&param1=[po0]&param1type=Text[!] Address
[/!]&param2=[po1]&param2type=text[!] Port
[/!]&param3=[po2]&param3type=Text[!] TRXTYPE
[/!]&param4=[po3]&param4type=text[!] TENDER
[/!]&param5=[po4]&param5type=text[!] PWD
[/!]&param6=[po5]&param6type=text[!] USER
[/!]&param7=[po6]&param7type=text[!] ACCT ( OR ReferrenceNumber if this is a VOID CREDIT or SHIP )
[/!]&param8=[po7]&param8type=text[!] EXPDATE
[/!]&param9=[po8]&param9type=text[!] AMT
[/!]&param10=[po9]&param10type=text[!] COMMENT1[3]
[/!]&param11=[po10]&param11type=text[!] COMMENT2
[/!]&param12=[po11]&param12type=text[!] INVNUM
[/!]&param13=[po12]&param13type=text[!] STREET
[/!]&param14=[po13]&param14type=text[!] ZIP
[/!]&param15=[po14]&param15type=text[!] TIMEOUT
[/!]&param16=[po15]&param16type=text[!] Cert Path
[/!]&param17=[po16]&param17type=text[!] PARTNER
[/!]&param18=[po17]&param18type=text[!] PROXY ADDRESS
[/!]&param19=[po18]&param19type=text[!] PROXY PORT
[/!]&param20=[po19]&param20type=text[!] PROXY LOGIN
[/!]&param21=[po20]&param21type=text[!] PROXY PASSWORD
[/!]][/OBJECT][/Text]




[writefile file=LastPayFlow_ProHit.txt]OHS:[returnString][/writefile]

[text multi=t][returnString][/text]
&m_status=[ShowIf [result]=0]Approved[/ShowIf][HideIf [result]=0][result][/HideIf]&m_AuthNum=[authcode]&m_Response=[url][respmsg][/url]&m_BatchNum=&m_RefNum=[pnref]&m_SequenceNum=&m_ItemNum=&m_AddressResponse=[avsaddr][avszip]&garbage=

