#!/bin/sh
echo $0
SOURCEDIR=`dirname "$0"`
TARGETDIR=/tmp/webdna/`date "+%Y%m%d-%H%M%S"`
mkdir -p ${TARGETDIR}
cd "${SOURCEDIR}/"

echo "*************************************************"
echo "Copying files..."
echo "*************************************************"
cp *.tar.gz ${TARGETDIR}
cd ${TARGETDIR}

echo "*************************************************"
echo "Unpacking files..."
echo "*************************************************"
tar xzf *.tar.gz
cd WebDNA*/

echo "*************************************************"
echo "Please enter your administrative password"
echo "*************************************************"
sudo ./install_WebDNA.sh 

echo "*************************************************"
echo "WebDNA is installed.  You can close this window"
echo "*************************************************"

