<!--HAS_WEBDNA_TAGS-->

<HTML>
<head>
	<title>Migrate Staging</title>
	
	[text]host=[listmimeheaders name=HOST&exact=F][value][/listmimeheaders][/text]
	[text]Stagingpath=http://[host][middle startafter=&endbefore=cms/cms_AdminMigrateStagingToProduction.tpl][thisurl][/middle]Staging/[/text]
	
	[!]set the default production path if one isn't set[/!]
	[if "[Raw][myproductionPath][/raw]"="[myproductionPath]"][then]
		[Text]productionPath=../Production[/Text]
	[/then]
	[else]
		[Text]productionPath=[myproductionPath][/Text]
	[/else]
	[/if]
	
	
</head>
<BODY>
<h2>Migrate Staging to Production</h2>

You can manually copy everything from:&nbsp;&nbsp;<b>[Stagingpath]</b><br>
to:&nbsp;&nbsp;<i>your production server</i>
<p>
-Or-
<p>
If your production site is on the same server, <br>enter the relative path here and click 'Migrate' to do it automatically.
<form method=post name=theForm action="cms_AdminMigrateStagingToProduction.tpl?get=T">
	<input type=radio value="" name=absolute [hideif [absolute]=*]checked[/hideif]>Relative Production Path to Staging:&nbsp;
	<br><input type=radio value="*" name=absolute [showif [absolute]=*]checked[/showif]>Absolute Path on this machine:(ex: c:\inetpub\wwwroot\production)
	<br><font color=red size=2><i>To use absolute paths, you muset set "Allow Absolute Path Prefix" to Yes in your webcatalog security preferences.</i></font>

	<br><input type=text value="[productionPath]" name="myproductionPath" size=50><input type=submit name=Migrate value = "Migrate Staging">
	<br>
	<input type=checkbox name=excludedb value=yes>Exclude .db files from the migration

</form>

[!]--------------function to migrate------------------[/!]
[function name=getFiles]
	[!]--
	PARAMETERS:
		(ByVal):
			filePath,copyPath
			
	--[/!]


	[ListFiles path=[filePath]] 
		[!]don't include any versions[/!]
		[If "[middle startafter=_v~&endbefore=731][FileName][/middle]"!""] [Then]
			[if ("[excludedb]"!"yes")|("[middle startafter=.db&endbefore=.db][FileName][/middle]"!"")][then]
				[if "[absolute]"="*"][then]
					[If "[IsFolder]"="T"][Then]
						[createFolder path=*[copyPath]/[filename]]
						Create Folder: [copyPath]/[filename]<br>
						[getFiles filepath=..[middle startafter=..&endbefore=][fullpath][/middle]/&workgroup=[workgroup]&copyPath=[copyPath]/[FileName]]
					[/then]
					[else]
						[copyfile from=[filePath]/[filename]&to=*[copyPath]/[filename]]
						Copy File to: [copyPath]/[filename]<br>
					[/else]
					[/if]
				
				[/then]
				[else]
					[If "[IsFolder]"="T"][Then]
						[createFolder path=[copyPath]/[filename]]
						Create Folder: [copyPath]/[filename]<br>
						[getFiles filepath=..[middle startafter=..&endbefore=][fullpath][/middle]/&workgroup=[workgroup]&copyPath=[copyPath]/[FileName]]
					[/then]
					[else]
						[copyfile from=[filePath]/[filename]&to=[copyPath]/[filename]]
						Copy File to: [copyPath]/[filename]<br>
					[/else]
					[/if]
				[/else]
				[/if]
			[/then]
			[else]
				<font color=red>skipped database file: [FileName]</font><br>
			[/else]
			[/if]
		[/Then]
		[/If]
	
	[/ListFiles] 
[/function]

[!]Add the files if they still want to do it[/!]
[showif [get]=T]
	[!]make sure production path exists[/!]
	[if "[productionPath]"!""][then]
		[fileinfo file=[absolute][productionPath]]
			<b>Migrating files to [fullPath]:</b><br>
			[!]If they select the default and its not there then create it[/!]
			[if ("[exists]"="F")&("[productionPath]"="../Production")][then]
				[createFolder path=[productionPath]]
				
				[!]--Loop through Staging and copy to production[/!]
				[getFiles filepath=../Staging/&copyPath=[productionPath]]
					
				<br><b>Completed successfully...</b><br>
	
			[/then]
			[else]
			
			 	[if ("[exists]"="T")&("[isFolder]"="T")][then]
					
					[!]--Loop through Staging and copy to production[/!]
					[getFiles filepath=../Staging/&copyPath=[productionPath]]
					
					<br><b>Completed successfully...</b><br>
				[/then]
				[else]
					<font color=red>[productionPath] is not a valid path.<br>
					Please make sure your production path is pointing to a valid folder.
					</font>
				[/else]
				[/if]
			[/else]
			[/if]
		[/fileinfo]
	[/then]
	[else]
		<font color=red>Path can not be blank.</font><br>
	[/else]
	[/if]
[/showif]
	
</BODY>
</HTML>