[!]initialize the month offset and days variables[/!]
[math show=f]offset=[lookup db=days.db&lookinfield=number&value=[math]({[the_month]/1/[the_year]})%7[/math]&returnfield=skip][/math]
[math show=f]days=({[the_month]/1/[the_year]}+{1/0/0000})-{[the_month]/1/[the_year]}[/math]

[!]initialize a text variable for each day of the week[/!]
[loop start=1&end=[days]][text]_[index]=[/text][/loop]

[!]initialize the first Day Of Month and last Day Of Month variables[/!]
[math show=f]firstDOM={[the_month]/1/[the_year]}[/math]
[math show=f]lastDOM={[the_month]/[days]/[the_year]}[/math]

[!]set all the text variables with the meetings db id numbers[/!]
[search db=info.db&eqOWNERdatarq=[who]&eqTYPEdatarq=M&STARTtype=date&leSTARTdatarq=[the_month]/[days]/[the_year]&ENDtype=date&geENDdatarq=[the_month]/1/[the_year]]
[founditems]

[!]do the meetings[/!]
[math show=f]the_start={[start]}[/math]
[math show=f]the_end={[end]}[/math]

[!]make a list of id numbers for each meeting found on each day;
be sure to exclude any meeting days outside the month[/!]
[loop start=[showif [the_start]<[firstDOM]]1[/showif][hideif [the_start]<[firstDOM]][format days_to_date %d][the_start][/format][/hideif]&end=[showif [the_end]>[lastDOM]][days][/showif][hideif [the_end]>[lastDOM]][format days_to_date %d][the_end][/format][/hideif]]
[text]_[index]=[interpret][_[index]][/interpret][id]+[/text]
[/loop]

[/founditems]
[/search]

[!]initialize the calendar header[/!]
<table border="1" cellpadding="0" cellspacing="0">
<tr>
<td colspan="7" align="center"><nobr><font size="-1"><b><a href="calendar.tpl?the_month=[math][the_month]-1[showif [the_month]=1]+12[/showif][/math]&the_year=[math][the_year][showif [the_month]=1]-1[/showif][/math]">&lt;&lt;</a>
[lookup db=months.db&lookinfield=number&value=[format f][the_month][/format]&returnfield=name&notfound=[format f][the_month][/format]] [the_year]
<a href="calendar.tpl?the_month=[math][the_month]+1[showif [the_month]=12]-12[/showif][/math]&the_year=[math][the_year][showif [the_month]=12]+1[/showif][/math]">&gt;&gt;</a></b></font></nobr></td>
</tr>

<tr>
<td align="center"><font size=-1><b>M</b></font></td>
<td align="center"><font size=-1><b>T</b></font></td>
<td align="center"><font size=-1><b>W</b></font></td>
<td align="center"><font size=-1><b>T</b></font></td>
<td align="center"><font size=-1><b>F</b></font></td>
<td align="center"><font size=-1><b>S</b></font></td>
<td align="center"><font size=-1><b>S</b></font></td>
</tr>

<tr>
[!]Offset to the first day of the month in the first week[/!]
[loop start=1&end=[offset]]
<td></td>
[/loop]

[!]fill in all the day information[/!]
[loop start=1&end=[days]]
<td align="center" valign="top" [hideif [interpret][_[index]][/interpret]=]bgcolor="yellow"[/hideif]>
<font size=-1><a href="day.tpl?the_day=[index]&the_month=[the_month]&the_year=[the_year]" target="right">[showif [math]{[the_month]/[index]/[the_year]}[/math]=[math]{[date]}[/math]]<blink>[/showif]<b>[index]</b></a>[showif [math]{[the_month]/[index]/[the_year]}[/math]=[math]{[date]}[/math]]</blink>[/showif]</font>
</td>

[!]end the row after 7 days and start a new one[/!]
[showif [math]([index]+[offset])%7[/math]=0]
</tr><tr>
[/showif]
[/loop]
</tr>
</table>
