<!--HAS_WEBDNA_TAGS-->

[showif [root_path]=[raw][root_path][/raw]]
	[text]root_path=[/text]
[/showif]

[text]realm=Unauthorized User[/text]
[showif ![sandboxid]][text]realm=Unauthorized Sandbox User[/text][/showif]

[if "[logout]"="T"][then]
	[!]logged out***************************<br>[/!]
	[SETCOOKIE name=username&value=]
	[SETCOOKIE name=userrealm&value=]
	[text]validUsername=[/text]
	[text]valid_user=F[/text]
[/then]
[else]

	[text]validUsername=[getcookie name=username][/text]

	[if "[validUsername]"=""][then]
		[text]valid_user=F[/text]
	[/then]
	[else]
		[text]valid_user=T[/text]
	[/else]	
	[/if]
[/else]
[/if]


[!]get groups they are in[/!]
[showif [valid_user]=T]
[!]lookup is case sensitive so use search instead[/!]
[!][text]myGroups=[lookup db=[root_path]customer.db&lookinField=ID&value=[validUsername]&returnField=groups&notFound=][/text][/!]

[!]If user in _WEBDNA_ realm, then this is a WebDNA admin account [/!]
[showif [getcookie name=userrealm]=_WEBDNA_]
[text]myGroups=+1+[/text]
[/showif]
[hideif [getcookie name=userrealm]=_WEBDNA_]
[text]myGroups=[search db=[root_path]customer.db&eqIDdatarq=[validUsername]][founditems][groups][/founditems][/search][/text]
[/hideif]
[/showif]

[!]from:[from] valid_user:[valid_user] myGroups:[myGroups]<br>[/!]
[!]from checkuser:[myGroups]:[valid_user]:[url][password][/url]![thisPassword]<br>[/!]

[!]if they are coming from an admin page then make sure they have the admin group in the customer.db[/!]
[showif [from]=Admin]
[!][myGroups]<br>[/!]
	[hideif [myGroups]^+1+]
	[!]if contentmanagerok is true and user is part of content manager group then don't do anything, otherwise cancel auth[/!]
	[if ("[authorOk]"="T")&("[myGroups]"^"+2+")][then]
	[/then]
	[else]

		[!]figure out what page they are trying to go to[/!]
		[if "[thisurl]"^"admin"][then]
			[text]targetUrl=admin[middle startafter=admin][thisurl][/middle]?[/text]
		[/then]
		[else]
			[ListPath path=[thisurl]&FileOnly=T]
				[text]myFile=[name][/text]
			[/listpath]
		
			[text]targetUrl=[myFile]?[/text]
		[/else]
		[/if]	
		[formvariables]
		[if ("[name]"!"template")&("[name]"!"pagename")][then]
			[text]targetUrl=[targetUrl][hideif [index]=1]&[/hideif][name]=[value][/text]
			[!]name:[name]:[value]<br>[/!]
		[/then]
		[/if]
		[/formvariables]
		targetUrl:[targetUrl]<br>
	[!][redirect url=[url][root_path]login.tpl?login_failed=T&pageid=5&callerurl=[callerurl]&targeturl=admin/edit_database.tpl?datasource=calendar.db&dat_id=1[/url]][/!]
	[redirect url=[root_path]login.tpl?[url]login_failed=T&pageid=5&callerurl=[callerurl]&targeturl=[url][targetUrl][/url][/url]]
	[!]---------------------------------------------------------------
	this is left over from browser authentication, don't use now
	<script>
	[showif [from]=admin]parent.parent.[/showif]location=[!]
		[/!][showif [from]=tour]'photo_tour_side_large.tpl?login_failed=T&cat_id=[cat_id]&DAT_title=[DAT_title]&DAT_description=[DAT_description]'[/showif][!]
		[/!][showif [from]=photos]'iFrameShell.tpl?logout_failed=T&content=additionalpages/../subnav.tpl&sec_id=18&sec_status=main&results=T&--db=data/photos.db&pageid=18&BODY_PANEL_COLOR=%23E5EEF6'[/showif][!]
		[/!][showif [from]=login]'default.tpl?login_failed=T&pageid=5'[/showif][!]
		[/!][showif [from]=admin]'[root_path]default.tpl?login_failed=T&pageid=5&callerurl=[callerurl];'[/showif][!]
		[/!][showif [from]=[raw][from][/raw]]'[root_path]login.tpl?login_failed=T&problem=noadmin'[/showif]]
	</script>
	-------------------------------------------------------------
	[/!]

	[/else]
	[/if]
	[/hideif]
[/showif]
[!]debug comment[/!]
[!]note any debug code writing out text will break the photo album because of the frames[/!]
[!]	checkuser cookie:[getcookie name=username]<br>
	checkuser validUsername:[validUsername]<br>[/!]
[!][validUserName]:[url][password][/url]=[thisPassword] logout:[logout] valid_user:[valid_user] mygroups:[mygroups] from:[from]<br>[/!]

[function name=isUserInGroups]
[!]--
	
	PARAMETERS:
		(ByVal):
			securityGroups
[/!]
	[text]userInGroup=F[/text]
	
	[showif [securityGroups]=]
		[text]userInGroup=T[/text]
	[/showif]

	[!]securityGroups:[securityGroups]<br>[/!]
	[listWords words=[securityGroups]&delimiters=+]
		[word]<br>
		[showif [myGroups]^[Word]]
			[text]userInGroup=T[/text]
		[/showif]
		
	[/listWords]
	
	[return][userInGroup][/return]
[/function]