<html><!--HAS_WEBDNA_TAGS-->

[include body_tag.inc]

[text]page_title=Upload File[/text]
[text]helpid=upload_file[/text]
[include banner.inc]


[!]=====================================================================[/!]
[!]  Process forms                                                      [/!]
[!]=====================================================================[/!]


[formvariables]
[showif [url][name][/url]^[url]"graphicpurpose"[/url]]
	[text]graphicpurpose=[value][/text]
[/showif]
[showif [url][name][/url]^[url]"sku_number"[/url]]
	[text]sku=[value][/text]
[/showif]

[showif [url][name][/url]^[url]"callerurl"[/url]]
[text]callerurl=[value][/text]
[/showif]



[!]=====================================================================[/!]
[!]  Get target path info                                               [/!]
[!]=====================================================================[/!]
[Showif [graphicpurpose]=Layout]
	[Text]TargetPath=[lookup db=prefs.db&value=LAYOUT_GRAPHIC_PATH&lookInField=PREF&returnField=value][/Text]
[/Showif]
[Showif [graphicpurpose]=Product]
	[Text]TargetPath=[lookup db=prefs.db&value=PRODUCT_GRAPHIC_PATH&lookInField=PREF&returnField=value][/Text]
[/Showif]
[Showif [graphicpurpose]=AdditionalPages]
	[Text]TargetPath=additionalpages/[/Text]
[/Showif]
[Showif [graphicpurpose]=Photo]
	[Text]TargetPath=photofile/[/Text]
[/Showif]
[Showif [graphicpurpose]=Doc]
	[Text]TargetPath=[lookup db=prefs.db&value=DOC_FILE_PATH&lookInField=PREF&returnField=value][/Text]
[/Showif]
[Showif [graphicpurpose]=form]
	[Text]TargetPath=[lookup db=prefs.db&value=FORM_FILE_PATH&lookInField=PREF&returnField=value][/Text]
[/Showif]

[!]-----
Content-Disposition: form-data; name="thefile"; filename="D:\A\ProDraw\animal_001.gif"
Content-Type: image/gif
  -----[/!]
[showif [url][name][/url]^[url]"theFile"[/url]]
	[showif [url][name][/url]^[url]filename=""[/url]]
	[text]sourceSpecified=No[/text]
	[/showif]
	[hideif [url][name][/url]^[url]filename=""[/url]]
	[text]sourceSpecified=Yes[/text]
	[/hideif]
    

    [Text]temp=[Middle StartAfter=filename=][name][/Middle][/Text]
    [Text]SourcePathNameExt=[Middle StartAfter="&EndBefore="][temp][/Middle][/Text]
    [ListWords Words=[SourcePathNameExt]&Delimiters=/\]
    [Text]SourceNameExt=[word][/Text]
    [/ListWords]
    
    	[!]change default so they can upload anything except an exe or script files[/!]
    	[text]sourceValid=Yes[/text]
	[if ("[url][name][/url]"^"[url].exe[/url]")|("[url][name][/url]"^"[url].wsh[/url]")|("[url][name][/url]"^"[url].vbs[/url]")|("[url][name][/url]"^"[url].bat[/url]")][then]
		[text]sourceValid=No[/text]
	[/then]
	[else]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/else]
	[/if]
	
	[showif [url][name][/url]^[url].gif[/url]]
		[text]TargetExt=gif[/text]
		[text]sourceValid=Yes[/text]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/showif]
	[showif [url][name][/url]^[url].jpg[/url]]
		[text]TargetExt=jpg[/text]
		[text]sourceValid=Yes[/text]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/showif]
		[showif [url][name][/url]^[url].doc[/url]]
		[text]TargetExt=doc[/text]
		[text]sourceValid=Yes[/text]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/showif]
	[showif [url][name][/url]^[url].xls[/url]]
		[text]TargetExt=xls[/text]
		[text]sourceValid=Yes[/text]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/showif]
	[showif [url][name][/url]^[url].pdf[/url]]
		[text]TargetExt=pdf[/text]
		[text]sourceValid=Yes[/text]
		[text]TargetNameExt=[SourceNameExt][/text]
		[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
	[/showif]
	[Showif [graphicpurpose]=AdditionalPages]
		[showif [url][name][/url]^[url].tpl[/url]]
			[text]TargetExt=tpl[/text]
			[text]sourceValid=Yes[/text]
			[text]TargetNameExt=[SourceNameExt][/text]
			[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
		[/showif]
		[showif [url][name][/url]^[url].inc[/url]]
			[text]TargetExt=inc[/text]
			[text]sourceValid=Yes[/text]
			[text]TargetNameExt=[SourceNameExt][/text]
			[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
		[/showif]
		[showif [url][name][/url]^[url].html[/url]]
			[text]TargetExt=html[/text]
			[text]sourceValid=Yes[/text]
			[text]TargetNameExt=[SourceNameExt][/text]
			[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
		[/showif]
		[showif [url][name][/url]^[url].htm[/url]]
			[text]TargetExt=htm[/text]
			[text]sourceValid=Yes[/text]
			[text]TargetNameExt=[SourceNameExt][/text]
			[text]TargetPathNameExt=[TargetPath][TargetNameExt][/text]
		[/showif]
	[/showif]

[/showif]
[/formvariables]




[!]=====================================================================[/!]
[!]  Error handling                                                     [/!]
[!]=====================================================================[/!]
[showif [sourceSpecified]!Yes]
<H4>Please specify the source file.</H4>
[/showif]

[showif [sourceValid]!Yes]
<H4>You can not upload executables or script files.<br>
[Showif [graphicpurpose]=Photo]
Please choose either .gif or .jpg file
[/showif]
[!][Showif [graphicpurpose]=AdditionalPages]<br>Or .tpl,.inc,.html,.htm file.[/showif][/!]</H4>
[/showif]




[!]=====================================================================[/!]
[!]  Everything is correct -- continue                                  [/!]
[!]=====================================================================[/!]
[showif [sourceSpecified]=Yes]
[showif [sourceValid]=Yes]

[showif [TargetPathNameExt]!]



[!]-----
Form Variables:<br>
<table border=1>
<tr><td>Index</td><td>Name</td></tr>
[formvariables]
<tr><td>[index]</td><td><pre>[name]</pre></td></tr>
[/formvariables]
</table>
  -----[/!]




[formvariables]
[showif [url][name][/url]^[url]"theFile"[/url]]
[writefile file=../[TargetPathNameExt]&secure=F][value][/writefile]
[/showif]
[/formvariables]

[!]if its a photo then update the dat_photo with the new image[/!]
[Showif [graphicpurpose]=Photo]
	[text]photo_id=[middle startafter=dat_id=&endbefore="][callerurl][/middle][/text]
	[replace db=../data/photos.db&eqdat_idDatarq=[photo_id]&append=T]dat_id=[photo_id]&dat_photo=[middle startafter=/][TargetPathNameExt][/middle][/replace]
[/showif]


<h3>File Uploaded Successfully.</h3>

[Showif [TargetPathNameExt]^.jpg]
Uploaded Image:[TargetPathNameExt]<br>
<IMG SRC="../[TargetPathNameExt]" border=1>
[/Showif]
[Showif [TargetPathNameExt]^.gif]
Uploaded Image:[TargetPathNameExt]<br>
<IMG SRC="../[TargetPathNameExt]" border=1>
[/Showif]

[/showif]

[/showif]
[/showif]



[Showif [sku]=[Raw][sku][/Raw]]
<FORM ACTION="[callerurl]" METHOD=POST>
	<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="Continue">
</FORM>
[/Showif]


[Showif [sku]![Raw][sku][/Raw]]
<FORM ACTION="products.tpl" METHOD=POST>
	<INPUT TYPE="HIDDEN" NAME="action" VALUE="Edit">
	<INPUT TYPE="HIDDEN" NAME="SKU" VALUE="[SKU]">

	<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="Continue">
</FORM>
[/Showif]




