<!--HAS_WEBDNA_TAGS-->
[protect admin]

[!]Check For Required Parameters[/!]
[IF ("[__hostname]"="[raw][__hostname][/raw]")|("[__hostname]"="")]
[then]
Missing Required Data
[/then]
[else]

[Hideif [command]=sandboxput]
[ListMimeHeaders name=HOST&exact=F][text]currhost=[value][/text][/ListMimeHeaders]

[!]--------------------------------------------------------------------------------
	Remove Pending Records that are older than 24 hours
--------------------------------------------------------------------------------[/!]
[text]DELETE_DATE=[math]{[date format=%m/%d/%Y]}-1[/math].[format .5d][math]{[time format=%H:%M:%S]}[/math][/format][/text]
[DELETE db=WDNA_ISP_Hosts.db&eqPLAN_IDdatarq=PENDING&lsCREATE_DATEdatarq=[DELETE_DATE]&CREATE_DATEtype=num]


[showif remove_site=[do]]
[flushdatabases]
[delete db=WDNA_Sandbox.db&eqIDdata=HOST_[__hostname]]
[delete db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdata=HOST_[__hostname]]
[deletefolder path=^../SandBoxes/HOST_[__hostname]]
[deletefolder path=[__hostname]]
[flushdatabases]
[text]response=OK[/text]
[/showif]
[hideif remove_site=[do]]

[showif remove_pending=[do]]
[delete db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=HOST_[__hostname]&eqPLAN_IDdatarq=PENDING]
[text]response=OK[/text]
[/showif]
[hideif remove_pending=[do]]

[!]setup defaults[/!]
[text secure=F]__hostname=[/text]
[text secure=F]__plan=[/text]
[text secure=F]__order=[/text]
[text secure=F]__email=[/text]
[text secure=F]__name=[/text]


[!][showif [url][membersku][/url]=]
[redirect index.html]
[/showif][/!]

[function name=HasIllegalCharacters]
[text]ret=F[/text]
[showif [url][instring][/url]^[url]&[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]/[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]\[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]:[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]*[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]?[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]"[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]<[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]>[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]|[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url] [/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url].[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]+[/url]][text]ret=T[/text][/showif]
[return][ret][/return]
[/function]



[text]ok=T[/text]


[text]_id=HOST_[__hostname][/text]

[!] Check if this Sandbox ID exists [/!]
[showif [search db=WDNA_Sandbox.db&eqIDdatarq=[_id]][numfound][/search]>0]
[text]ok=F[/text]
[text]response=ERROR: Name is taken[/text]
[/showif]

[!] Create the full path to the new site folder [/!]
[fileinfo path=./build_host.tpl]
[text]_root=[middle startafter=&endbefore=StoreBuilder][fullpath][/middle][/text]
[/fileinfo]
[text]_root=[_root]StoreBuilder\[__hostname][/text]

[!] Check if the Sandbox folder is already in use [/!]
[showif [search db=WDNA_Sandbox.db&eqROOTdatarq=[_root]][numfound][/search]>0]
[text]ok=F[/text]
[text]response=ERROR: Folder is taken[/text]
[/showif]


[showif [HasIllegalCharacters instring=[url][_id][/url]]=T]
[text]ok=F[/text]
[text]response=ERROR: Name contains illegal characters[/text]
[/showif]


[Text]NameOK=T[/Text]

[showif [__hostname]=]
[Text]NameOK=F[/Text]
[text]response=ERROR: Name is empty[/text]
[/showif]

[showif [HasIllegalCharacters instring=[url][__hostname][/url]]=T]
[Text]NameOK=F[/Text]
[text]response=ERROR: Name contains illegal characters[/text]
[/showif]

[hideif [NameOK]=F]
[listfiles ./]
[showif [filename]=[__hostname]]
[text]response=ERROR: Folder is taken[/text]
[Text]NameOK=F[/Text]
[/showif]
[/listfiles]
[/hideif]

[showif check_name=[do]]
[!] check if the host id is taken or pending [/!]
[showif [search db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=HOST_[__hostname]][numfound][/search]>0]
[text]ok=F[/text]
[text]response=ERROR: HOST ID is taken[/text]
[/showif]
[/showif]


[!] test that we will be able to enable the sandbox [/!]
[text]result=
[tcpconnect host=[currhost]]
[tcpsend]GET [ThisURL]?command=SANDBOXPUT HTTP/1.0[unurl]%0D%0A[/unurl][!]
[/!]Authorization: Basic [Encrypt method=base64][username]:[password][/Encrypt][UnURL]%0D%0A[/UnURL][!]
[/!]HOST: [currhost][unurl]%0D%0A%0D%0A[/unurl][/tcpsend]
[/tcpconnect][/text]

[hideif [url][result][/url]^[url]HAS_WEBDNA_TAGS[/url]]
[text]response=ERROR: Can not access Sandbox[/text]
[Text]NameOK=F[/Text]
[/hideif]

[showif [ok]=T]
[hideif [NameOK]=F]
[text]response=OK[/text]

[showif check_name=[do]]
[!] Add this ID as pending in the WDNA_ISP_Hosts.db [/!]
[replace db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[_id]&append=T&autonumber=HOST_ID][!]
[/!]SANDBOX_ID=[_id][!]
[/!]&CREATE_DATE=[math]{[date format=%m/%d/%Y]}[/math].[format .5d][math]{[time format=%H:%M:%S]}[/math][/format][!]
[/!]&PLAN_ID=PENDING[/replace]

[/showif]

[hideif check_name=[do]]
[showif build=[do]]

[text secure=F]__hostname=[/text]
[text secure=F]__plan=[/text]
[text secure=F]__order=[/text]
[text secure=F]__email=[/text]
[text secure=F]__name=[/text]

[if (("[__hostname]"="") | ("[__plan]"="") | ("[__order]"="") | ("[__email]"="") | ("[__name]"=""))]
[then]
[text]response=Error: Required parameter missing or empty[/text]
[/then]
[else]

[!] copy the stock system files [/!]

[createfolder ^../SandBoxes/[_id]]
[include file=list_files.inc&from=^../SandBoxes/MASTER_SANDBOX&to=^../SandBoxes/[_id]&level=0&display=F]

[append db=WDNA_Sandbox.db][!]
[/!]id=[_id]&[!]
[/!]root=[_root]&[!]
[/!]state=Active&[!]
[/!]create_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]mod_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]create_user=HOST_SYSTEM&[!]
[/!]mod_user=&[!]
[/!]emailer=1&[!]
[/!]triggers=1&[!]
[/!]commerce=1[/append]


[text]loc=[__hostname][/text]
[showif [getchars start=[countchars][loc][/countchars]&end=[countchars][loc][/countchars]][loc][/getchars]=/]
[text]loc=[getchars start=1&end=[math][countchars][loc][/countchars]-1[/math]][loc][/getchars][/text]
[/showif]


[createfolder [loc]]
[include file=list_files.inc&from=./MASTER_STORE&to=./[loc]&level=0&display=F]
[include file=list_files.inc&from=./MASTER_STORE_PLAN[__plan]&to=[loc]&level=0&display=F]

[showif [fileinfo file=./[__hostname]][IsFolder][/fileinfo]=T]

[replace db=./[loc]/customer.db&eqIDdata=admin]email=[__email][/replace]
[replace db=./[loc]/admin/prefs.db&eqPREFdatarq=NAME]VALUE=[url][lookup db=WDNA_ISP_Plans.db&lookinfield=PlanNumber&value=[__plan]&returnfield=PlanName&notFound=][/url][/replace]
[closedatabase db=./[loc]/customer.db]

[replace db=WDNA_ISP_Hosts.db&eqSANDBOX_IDdatarq=[_id]&append=T&autonumber=HOST_ID][!]
[/!]SANDBOX_ID=[_id][!]
[/!]&PLAN_ID=[__plan][!]
[/!]&ORDER_ID=[__order][!]
[/!]&NAME=[__name][!]
[/!]&EMAIL=[__email][!]
[/!]&PHONE1=[__phone1][!]
[/!]&PHONE2=[__phone2][!]
[/!]&ADDRESS1=[__address1][!]
[/!]&ADDRESS2=[__address2][!]
[/!]&CITY=[__city][!]
[/!]&STATE=[__state][!]
[/!]&ZIP=[__zip][!]
[/!]&COUNTRY=[__country][!]
[/!]&ENABLED=T[!]
[/!]&DOMAIN=[__domain][!]
[/!]&CREATE_DATE=[math]{[date format=%m/%d/%Y]}[/math].[format .5d][math]{[time format=%H:%M:%S]}[/math][/format][!]
[/!][/replace]

[!] Tell the engine to rescan the sandbox database [/!]

[text]garbage=
[tcpconnect host=[currhost]]
[tcpsend]GET [ThisURL]?command=SANDBOXPUT HTTP/1.0[unurl]%0D%0A[/unurl][!]
[/!]Authorization: Basic [Encrypt method=base64][username]:[password][/Encrypt][UnURL]%0D%0A[/UnURL][!]
[/!]HOST: [currhost][unurl]%0D%0A%0D%0A[/unurl][/tcpsend]
[/tcpconnect]
[/text]


[/showif]

[/else]
[/if]

[/showif] [!] build=[do] [/!]
[/hideif] [!] check_name=[do] [/!]
[/hideif] [!] [NameOK]=F [/!]
[/showif] [!] ok=T [/!]

[/hideif] [!] remove_pending=[do] [/!]
[/hideif] [!] remove_site=[do] [/!]

ISP_HOST_RESPONSE_BEGIN>[response]<ISP_HOST_RESPONSE_END
[/Hideif]


[/else]
[/if]