[!]
	Author: Grant Hulbert, ghulbert@smithmicro.com
	Copyright: 1998-1999, Smith Micro Software, All Rights Reserved
	Notice: Do not distribute in unencrypted form!

	12/09/1999	GLH	Initial Release
	12/10/1999	GLH	Note: Currency hard-coded to USD
	01/20/2000	GLH added bill_country



[text]ErrorLog=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=ErrorLog&returnField=value][/text]
[text]merchantID=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceID&returnField=value][/text]
[text]host=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceServer&returnField=value][/text]
[text]port=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourcePort&returnField=value][/text]
[text]proxy=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxy&returnField=value][/text]
[text]proxyuser=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxyUser&returnField=value][/text]
[text]proxypass=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=CyberSourceProxyPass&returnField=value][/text]
[text]avs=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=AddressVerify&returnField=value][/text]

[/!]

[text]CreditCardNumber=[ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/text]
[Text]CreditCardExpMonth=[format .2d][expMonth][/format][/Text]
[Text]CreditCardExpYear=[expYear][/Text]
[Text]Currency=USD[/Text]
[Text]Amount=[GrandTotal][/Text]
[Text]Quantity=1[/Text]


[Text]classPath=C:\CyberSource\cdkjava12;C:\CyberSource\cdkjava12\cdkjava12_3210.jar[/Text]
[Text]CDKPath=C:\CyberSource\cdkjava12\keys\[/Text]
[Text]CDKPrivateKeyFile=C:\CyberSource\cdkjava12\keys\ICS2Test.pvt[/Text]
[Text]CDKMyCertFile=C:\CyberSource\cdkjava12\keys\ICS2Test.crt[/Text]
[Text]CDKServerID=CyberSource_SJC_US[/Text]
[Text]CDKServerCertFile=C:\CyberSource\cdkjava12\keys\CyberSource_SJC_US.crt[/Text]
[text]host=http://ics2test.ic3.com[/text]
[Text]MerchantID=ICS2Test[/Text]


[!]---------------------------------------------------------------------[/!]
[!]  Hardcoded until this code goes into the production                 [/!]
[!]---------------------------------------------------------------------[/!]
[text]payMethod=BK[/text]
[text]ErrorLog=Error.log[/text]


[!]---------------------------------------------------------------------[/!]
[!]  Just delete these is code goes into the production                 [/!]
[!]---------------------------------------------------------------------[/!]
[Text]Name=John Doe[/Text]
[Text]Email=james@smsi.com[/Text]
[Text]Phone=800.555.1212[/Text]
[Text]Address1=51 Columbia[/Text]
[Text]Address2=#200[/Text]
[Text]City=Aliso Viejo[/Text]
[Text]State=CA[/Text]
[Text]Zip=92656[/Text]
[Text]Country=United States[/Text]
[Text]CreditCardNumber=4111111111111111[/Text]
[Text]CreditCardExpMonth=11[/Text]
[Text]CreditCardExpYear=2000[/Text]
[Text]Amount=99.99[/Text]




[text]cleanYear=[expYear][/text]

[ShowIf [ErrorLog]!]
[AppendFile file=[ErrorLog]][today]	[now]	Sending CyberSource Account:************[GetChars start=1&end=4&from=end][ConvertChars db=^WebMerchant/NumbersOnly.db][accountnum][/ConvertChars][/GetChars], Expiredate: [format .2d][expMonth][/format]/[format .2d][cleanYear][/format], Amount: [grandTotal][UnURL]%0D%0A[/UnURL][/AppendFile]
[/ShowIf]

[ShowIf [payMethod]=VO]
	[text]_command=ics_credit[/text]
[/ShowIf]

[HideIf [payMethod]=VO]
	[text]_command=ics_auth,ics_bill[/text]
	[ShowIf [payMethod]=BK]
		[text]_command=ics_auth[/text]
	[/ShowIf]
	[ShowIf [payMethod]=SH]
		[text]_command=ics_bill[/text]
	[/ShowIf]
[/HideIf]




[Text]MerchantRefNo=[cart][/Text]
[Text]ProductName=Bookend[/Text]
[Text]ProductCode=electronic_software[/Text]
[Text]MerchantProductSKU=billco2000[/Text]
[Text]PackerCode=portland10[/Text]

[Text]Dummy=[/Text]





[Text]P01=[URL][ListWords Words=[Name]][ShowIf [index]=1][word][/ShowIf][/ListWords][/URL][/Text]
[Text]P02=[URL][ListWords Words=[Name]][ShowIf [index]=2][word][/ShowIf][/ListWords][/URL][/Text]
[Text]P03=[Email][/Text]
[Text]P04=[Phone][/Text]
[Text]P05=[Url][Address1][/Url][/Text]
[Text]P06=[Url][Address2][/Url][/Text]
[Text]P07=[Url][City][/Url][/Text]
[Text]P08=[Url][State][/Url][/Text]
[Text]P09=[Url][Zip][/Url][/Text]
[Text]P10=[Url][Country][/Url][/Text]

[Text]P11=[CreditCardNumber][/Text]
[Text]P12=[CreditCardExpMonth][/Text]
[Text]P13=[CreditCardExpYear][/Text]
[Text]P14=[Currency][/Text]
[Text]P15=[MerchantRefNo][/Text]
[Text]P16=[MerchantID][/Text]
[Text]P17=[ProductName][/Text]
[Text]P18=[ProductCode][/Text]
[Text]P19=[MerchantProductSKU][/Text]
[Text]P20=[PackerCode][/Text]

[Text]P21=[Amount][/Text]
[Text]P22=[Quantity][/Text]
[Text]P23=[CDKPath][/Text]
[Text]P24=[host][/Text]
[Text]P25=[port][/Text]
[Text]P26=[proxy][/Text]
[Text]P27=[proxyuser][/Text]
[Text]P28=[proxypass][/Text]
[Text]P29=[_command][/Text]
[Text]P30=1[/Text]

[Text]P31=[CDKPrivateKeyFile][/Text]
[Text]P32=[CDKMyCertFile][/Text]
[Text]P33=[CDKServerID][/Text]
[Text]P34=[CDKServerCertFile][/Text]

<pre>

[text show=t]returnString=[OBJECT objname=CyberSourceAuth&type=1&classpath=[classpath][!]
[/!]&call=AuthorizeThis[!]
[/!]&param1=[P01]&param1type=str[!] 
[/!]&param2=[P02]&param2type=str[!] 
[/!]&param3=[P03]&param3type=str[!] 
[/!]&param4=[P04]&param4type=str[!] 
[/!]&param5=[P05]&param5type=str[!] 
[/!]&param6=[P06]&param6type=str[!] 
[/!]&param7=[P07]&param7type=str[!] 
[/!]&param8=[P08]&param8type=str[!] 
[/!]&param9=[P09]&param9type=str[!] 
[/!]&param10=[P10]&param10type=str[!] 

[/!]&param11=[P11]&param11type=str[!] 
[/!]&param12=[P12]&param12type=str[!] 
[/!]&param13=[P13]&param13type=str[!] 
[/!]&param14=[P14]&param14type=str[!] 
[/!]&param15=[P15]&param15type=str[!] 
[/!]&param16=[P16]&param16type=str[!] 
[/!]&param17=[P17]&param17type=str[!] 
[/!]&param18=[P18]&param18type=str[!] 
[/!]&param19=[P19]&param19type=str[!] 
[/!]&param20=[P20]&param20type=str[!] 

[/!]&param21=[P21]&param21type=str[!] 
[/!]&param22=[P22]&param22type=str[!] 
[/!]&param23=[P23]&param23type=str[!] 
[/!]&param24=[P24]&param24type=str[!] 
[/!]&param25=[P25]&param25type=str[!] 
[/!]&param26=[P26]&param26type=str[!] 
[/!]&param27=[P27]&param27type=str[!] 
[/!]&param28=[P28]&param28type=str[!] 
[/!]&param29=[P29]&param29type=str[!] 
[/!]&param30=[P30]&param30type=str[!] 

[/!]&param31=[P31]&param31type=str[!] 
[/!]&param32=[P32]&param32type=str[!] 
[/!]&param33=[P33]&param33type=str[!] 
[/!]&param34=[P34]&param34type=str[!] 
[/!]][/OBJECT][/Text]

</pre>


[text multi=t][ConvertChars db=ConvertCrLf.db][returnString][/ConvertChars][/text]

******************** Variables **********************<BR>
ics_rflag=[ics_rflag]<br>
auth_auth_code=[auth_auth_code]<br>
auth_rflag=[auth_rflag]<br>
auth_rmsg=[auth_rmsg]<BR>
request_id=[request_id]<Br>

