<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Example without [raw][Return][/raw]]
<p>
Below is a simple function that does not include a [raw][return][/raw] context.
This function simply adds the first ten positive numbers.  We will execute the function,
then wrap the execution in [raw][url][/url][/raw] tags to 'reveal' the extra white
space that can accumulate from a function call (much as it would when using the
WebDNA [raw][include][/raw] tag.)
<p>
Here is the code:
[raw]
<xmp>
[function name=add_em_up]
[text]result=0[/text]
[loop start=1&end=10]
[text]result=[math][result]+[index][/math][/text]
[/loop]
[result]
[/function]
</xmp>
[/raw]

[function name=add_em_up]
[text]result=0[/text]
[loop start=1&end=10]
[text]result=[math][result]+[index][/math][/text]
[/loop]
[result]
[/function]

Executing the function, we get: "[add_em_up]"
<p>
Now, lets 'wrap' the function result with the [raw][url][/raw] context to
uncover the 'extra' stuff we accumulated a result of the function call.
<p>Here is the result:<br>
"[url][add_em_up][/url]"
<p>
Note all the extra white space, in this case, carriage returns and line feeds."
<p>
[include file=../header.inc&top=F&page_title=Example 1]

