<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Introduction]

<h3>Welcome to the TABLE Context tutorial!</h3>

This set of templates will explain how to use
the new <b>WebDNA TABLE context</b>.  And because these template are a part of the
WebDNA lab, you will be able to experiment while you learn.  This tutorial assumes the user
is familiar with the WebDNA language.
<p>
This new context enables the WebDNA programmer to quickly create a temporary 'in line' database table that is local to
the template and not part of the global database cache.  A table can be used in any context that accepts a database 'db' as a
parameter.
<p>
Here is the syntax...<br>
<b>
<xmp>
[raw][table name=...&fields=<fieldname 1>,<fieldname 2>,...,<fieldname n>]<WebDNA>[/table][/raw]
</xmp>
</b>
Parameters...<br>
<b>name</b> - A user assigned name used to reference the table during the duration of the template.
<p>
<b>fields</b> - A comma delimited, ordered, list of fieldnames to be used for the table.
[include file=../header.inc&top=F&page_title=Introduction]