<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNodes II]

Now lets use the [raw]<b>[xmlnodes]</b>[/raw] context to iterate the xml child nodes of the root xml node of the 'example1.xml' document......
<p>
The code is as follows...
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

[xmlnodes ref=xml_var1]
[name]=[value]<br>
[/xmlnodes]
</xmp>
</b>
[/raw]
Results....<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
[xmlnodes ref=xml_var1]
[name]=[value]<br>
[/xmlnodes]
<hr>
We see that the 'CATALOG' node is the only child node from the root of the xml file.  Notice that the 'value' is empty.
This is because the 'CATALOG' node has no value, and is actually a 'container' node for other xml nodes.  So a 'value' will
only be displayed for a 'leaf' xml node, i.e. <xmp><FIRSTNAME>JOHN</FIRSTNAME></xmp> In this case, [raw][name][/raw] 
would evaluate to 'FIRSTNAME' and [raw][value][/raw] would be 'JOHN'.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNodes II]