<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNodes V]

Lets refine the named path parameter to go directly to a particular 'CD' node<p>
With a minor change to the 'path' parameter, we can retrieve all the child nodes of the fifth 'CD' node......
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)]
[name]=[value]<br>
[/xmlnodes]
</xmp>
</b>
[/raw]
Results....<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)]
[name]=[value]<br>
[/xmlnodes]
<hr>
Using the 'name' parameter we can filter the results to display only the 'TITLE' node of the fifth 'CD' node......
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)&name=TITLE]
[name]=[value]<br>
[/xmlnodes]
</xmp>
</b>
[/raw]
Results....<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)&name=TITLE]
[name]=[value]<br>
[/xmlnodes]
<hr>
Using the 'name' and 'exact' parameters, we can filter the results to display
 only those nodes, of the fifth 'CD' node, where the node name matches a given sub-string, 'CO'......
[raw]
<b>
<xmp>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]

[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)&name=CO&exact=F]
[name]=[value]<br>
[/xmlnodes]
</xmp>
</b>
[/raw]
Results....<hr>
[xmlparse var=xml_var1][include file=example1.xml][/xmlparse]
[xmlnodes ref=xml_var1&path=named:Catalog/CD(5)&name=CO&exact=F]
[name]=[value]<br>
[/xmlnodes]

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNodes V]