[protect admin]

[function name=HasIllegalCharacters]
[text]ret=F[/text]
[showif [url][instring][/url]^[url]&[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]/[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]\[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]:[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]*[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]?[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]"[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]<[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]>[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]|[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url] [/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url].[/url]][text]ret=T[/text][/showif]
[showif [url][instring][/url]^[url]+[/url]][text]ret=T[/text][/showif]
[return][ret][/return]
[/function]

<HTML>
<HEAD>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=iso-8859-1">
	<META NAME="Author" Content="Scott Anderson">
	<META http-equiv="Pragma" content="no-cache">
	<TITLE>WebDNA - ISP Sandbox Sites</TITLE>
<!--HAS_WEBDNA_TAGS-->
</HEAD>
<STYLE type="text/css">
.info {background: #CCCCFF; color: #000000; font-size: 12}
</STYLE> 
<BODY BGCOLOR="#FFFFFF">


[!][formvariables][name]=[value]<br>[/formvariables][/!]



[showif [submit]=Add]
[text]ok=T[/text]

[!] Check if ID is empty [/!]
[showif =[_id]]
[text]ok=F[/text]
<p>You must supply an ID.<p>
[/showif]

[!] Check if this ID exists [/!]
[showif [search db=WDNA_Sandbox.db&eqIDdatarq=[_id]][numfound][/search]>0]
[text]ok=F[/text]
<p>[_id] is allready taken.<p>
[/showif]

[!] Check if folder is empty [/!]
[showif =[url][_root][/url]]
[text]ok=F[/text]
<p>You must supply the volume path to the folder to be designated as a Sandbox.<p>
[/showif]

[!] Check if the folder is used by another sandbox [/!]
[showif [search db=WDNA_Sandbox.db&eqROOTdatarq=[_root]][numfound][/search]>0]
[text]ok=F[/text]
<p><b>[_root]</b> is allready designated as a sandbox folder.<p>
[/showif]


[showif [HasIllegalCharacters instring=[url][_id][/url]]=T]
[text]ok=F[/text]
Sorry, but "[_id]" contains illegal characters and can not be used to create the sandbox system folder.
[/showif]

[showif [ok]=T]
[!] copy the stock system files [/!]
[createfolder ^../SandBoxes/[_id]]
[include file=list_files.inc&from=^../SandBoxes/MASTER_SANDBOX&to=^../SandBoxes/[_id]&level=0&display=F]


[append db=WDNA_Sandbox.db][!]
[/!]id=[url][_id][/url]&[!]
[/!]root=[_root]&[!]
[/!]state=[_state]&[!]
[/!]create_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]mod_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]create_user=[username]&[!]
[/!]mod_user=[username]&[!]
[/!]emailer=[showif [_emailer]=on]1[/showif][hideif [_emailer]=on]0[/hideif]&[!]
[/!]triggers=[showif [_triggers]=on]1[/showif][hideif [_triggers]=on]0[/hideif][/append]

[/showif] [!] ok=T [/!]

[/showif] [!] submit=Add [/!]






[showif [submit]=Update]
[text]ok=T[/text]

[showif [ok]=T]
[replace db=WDNA_Sandbox.db&eqIDdatarq=[url][_id][/url]][!]
[/!]root=[url][_root][/url]&[!]
[/!]state=[_state]&[!]
[/!]mod_date=[date format=%Y%m%d].[time format=%H%M]&[!]
[/!]mod_user=[username]&[!]
[/!]emailer=[showif [_emailer]=on]1[/showif][hideif [_emailer]=on]0[/hideif]&[!]
[/!]triggers=[showif [_triggers]=on]1[/showif][hideif [_triggers]=on]0[/hideif][/replace]
[/showif] [!] ok=T [/!]

[/showif]






[showif [submit]=Delete]
<b>Are you sure you wish to delete this ISDSandbox record?</b>
<p>Note: This action will only remove the ISP Sandbox record.  Files and folders, associated with this 'Sandbox' will not be removed.
<p><form method=post action=index.tpl>
<input type=hidden name=command value="SANDBOXPUT">
<input type=hidden name=_ID value="[_ID]">
<input type=submit name=submit value="Yes, Delete This Record">
<hr>
[search db=WDNA_Sandbox.db&eqIDdatarq=[_id]&max=1]
[founditems]
<table bolder=0>
<tr><td>ID</td><td>[ID]</td></tr>
<tr><td>ROOT PATH</td><td>[ROOT]</td></tr>
<tr><td>Created</td><td>[create_date] by [create_user]</td></tr>
</table>
[/founditems]
[/search]
[/showif]





[showif [submit]=Yes, Delete This Record]
[delete db=WDNA_Sandbox.db&eqIDdatarq=[url][_ID][/url]]
[/showif]



[hideif [submit]=Delete]
<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" width=100%>
	<TR>
		<td>
		<table cellpadding=0 cellspacing=0 border=0 width=100%>
		<tr><td width=25% BGCOLOR="#CCCCFF"><font size=-1>Updated 5/20/2002, 8:51:07 PM</font></td>
		<TH width=50% BGCOLOR="#CCCCFF"><FONT SIZE="5">WebDNA - ISP Sandbox Folders</FONT></TH>
		<td width=25% BGCOLOR="#CCCCFF" align=right> </td></tr>
		</table>
		</td>
	</TR>
	<TR>
		<TD VALIGN="TOP" BGCOLOR="#FFFFCC" ALIGN=CENTER><FONT SIZE="4">Sites</FONT></TD>
	</TR>
	<TR>
		<TD VALIGN="TOP">
			<TABLE BORDER="0">
				<TR  bgcolor=#999966 align=left><TH>SANDBOX ID<br>FOLDER LOCATION<br>STATUS</TH><TH>SANDBOX<br>OPTIONS</TH><TH>ACTION</TH><TH>INFO</TH>
				</TR>
				[search db=WDNA_Sandbox.db&neIDdata=[blank]&asCREATE_DATEsort=1&CREATE_DATEtype=num]
				[founditems]
				[text]bgcolor=bgcolor=#CCCCFF[/text]
				[showif [index]\2][text]bgcolor=bgcolor=#CCCC99[/text][/showif]
				<FORM ACTION="index.tpl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
				<input type=hidden name=command value="SANDBOXPUT">
				<input type=hidden name=_ID value="[ID]">
				<TR [bgcolor]>
				<TD>
				<b>[id]</b><br>
				<input name=_ROOT type=text value="[root]" size=60><br>
				<select name=_STATE>
				<option [showif [STATE]=Active]Selected[/showif]>Active</option>
				<option [showif [STATE]=Disabled]Selected[/showif]>Disabled</option>
				</select>
				&nbsp;&nbsp;&nbsp;<a href="sandbox_scripts.tpl?_sandbox=[id]">View Approved Scripts</a>
				</td>
				<td>
				<input name=_EMAILER type=checkbox [showif [EMAILER]=1]checked[/showif]> Emailer<br>
				<input name=_TRIGGERS type=checkbox [showif [TRIGGERS]=1]checked[/showif]> Triggers<br>
				</td>
				<td>
				<input type=submit name=submit value=Update><br>
				<input type=submit name=submit value=Delete><br>
				<A href=../../SandBoxes/[id]/Admin/index.tpl target=_new>Sandbox Admin<b>*</b><br><small></A>
				</td>
				<td>
				Created: [create_date] - [create_user]<br>
				Last Changed: [mod_date] - [mod_user]<br>
				</td>
				</TR>
				</FORM>
				[/founditems]
				[/search]
				<FORM ACTION="index.tpl" METHOD="POST" ENCTYPE="application/x-www-form-urlencoded">
				<input type=hidden name=command value="SANDBOXPUT">
				<TR BGCOLOR="#FFFFAA">
				<TD>
				Enter unique ID for Sandbox:<br>
				<input name=_ID type=text value=""><br>
				Enter complete volume path to Sandbox 'root' folder:<br>
				For example...<br>
				/Library/WebServer/Documents/MySandbox<br>
				or<br>
				c:\inetpub\wwwroot\MySandbox<br>
				<input name=_ROOT type=text value="" size=60>&nbsp;&nbsp;&nbsp;<br>
				Initial State: 
				<select name=_STATE>
				<option value=Active>Active</option>
				<option value=Disabled>Disabled</option>
				</select>
				</td>
				<td>
				Sandbox Has:<br>
				<input name=_EMAILER type=checkbox> Emailer<br>
				<input name=_TRIGGERS type=checkbox> Triggers<br>
				</td>
				<td colspan=2><input type=submit name=submit value=Add></td>
				</TR>
				</FORM>
			</TABLE>
		</TD>
	</TR>
<tr><td align=center bgcolor="#CCCCFF">
	<b>*</b>For first-time sandbox administration: <br>
	username <b>sbadmin </b>and<b> </b>password <b>sbadmin</b>
</td></tr>
</TABLE>
[/hideif] [!] submit=Delete [/!]

</BODY>

</HTML>
