<!--HAS_WEBDNA_TAGS-->

[!] This is the core of the AuthorizeNet landing page [/!]


[text]ordersFolder=[lookup db=SandBoxPrefs&lookInField=preference&value=OrdersFolder&returnField=value][/text]
[hideif [getchars start=1&end=1][ordersFolder][/getchars]=/]
[text]ordersFolder=../[ordersFolder][/text]
[/hideif]
[hideif [getchars start=[countchars][ordersFolder][/countchars]&end=[countchars][ordersFolder][/countchars]][ordersFolder][/getchars]=/]
[text]ordersFolder=[ordersFolder]/[/text]
[/hideif]

[text]completedFolder=[lookup db=SandBoxPrefs&lookInField=preference&value=CompletedFolder&returnField=value][/text]
[hideif [getchars start=1&end=1][completedFolder][/getchars]=/]
[text]completedFolder=../[completedFolder][/text]
[/hideif]
[hideif [getchars start=[countchars][completedFolder][/countchars]&end=[countchars][completedFolder][/countchars]][completedFolder][/getchars]=/]
[text]completedFolder=[completedFolder]/[/text]
[/hideif]

[text]pendingFolder=[lookup db=WebMerchantPrefs.db&lookInField=preference&value=PendingFolder&returnField=value][/text]
[hideif [getchars start=1&end=1][pendingFolder][/getchars]=/]
[text]pendingFolder=../[pendingFolder][/text]
[/hideif]
[hideif [getchars start=[countchars][pendingFolder][/countchars]&end=[countchars][pendingFolder][/countchars]][pendingFolder][/getchars]=/]
[text]pendingFolder=[pendingFolder]/[/text]
[/hideif]

[Text]__status=Unknown[/Text]
[Showif [x_response_code]=1][Text]__status=Approved[/Text][/Showif]
[Showif [x_response_code]=2][Text]__status=Declined[/Text][/Showif]
[Showif [x_response_code]=3][Text]__status=Error[/Text][/Showif]

[!] Purchse Results [/!]
[showif [x_type]=auth_capture]
[FileInfo file=[ordersFolder][x_invoice_num]][showif [IsFile]=T]
[setheader file=[ordersFolder][x_invoice_num]]payMethod=OB_CC&status=[__status]&authNumber=[x_auth_code]&responseText=[x_avs_code]:[x_response_reason_text]&referenceNumber=[x_trans_id]&batchnum=&refnum=&sequencenum=&header5=[x_MD5_Hash][/setheader]
[/showif][/FileInfo]
[redirect [lookup db=WebMerchantPrefs.db&lookinfield=preference&value=AuthorizeNet_Thanks&returnfield=value]?cart=[x_invoice_num]]
[/showif]

[showif [x_type]=auth_only]
[FileInfo file=[ordersFolder][x_invoice_num]][showif [IsFile]=T]
[setheader file=[ordersFolder][x_invoice_num]]payMethod=OB_BK&status=[__status]&authNumber=[x_auth_code]&responseText=[x_avs_code]:[x_response_reason_text]&referenceNumber=[x_trans_id]&batchnum=&refnum=&sequencenum=&header5=[x_MD5_Hash][/setheader]
[/showif][/FileInfo]
[redirect [lookup db=WebMerchantPrefs.db&lookinfield=preference&value=AuthorizeNet_Thanks&returnfield=value]?cart=[x_invoice_num]]
[/showif]



[!] Ship Results [/!]
[showif [x_type]=prior_auth_capture]
Changing payMethod from "BK" to "SH" and<BR>
moving: [pendingFolder][x_invoice_num] to [ordersFolder][x_invoice_num]<br>
[SetHeader file=[pendingFolder][x_invoice_num]]payMethod=OB_SH&status=[__status]&authNumber=[x_auth_code]&responseText=[x_avs_code]:[x_response_reason_text]&referenceNumber=[x_trans_id]&batchnum=&refnum=&sequencenum=&header5=[x_MD5_Hash][/SetHeader]
[!] move file back to Orders folder [/!]
[movefile from=[pendingFolder][x_invoice_num]&to=[ordersFolder][x_invoice_num]]
The request for ship has been placed into the orders folder and will be processed the next time you click the "Process Orders" link, or when the Trigger is next executed for this store
[/showif]



[!] Credit/Void Results [/!]
[showif [x_type]=void]
[setheader file=[completedFolder][x_invoice_num]]payMethod=OB_VO&status=[__status]&authNumber=[x_auth_code]&responseText=[x_avs_code]:[x_response_reason_text]&referenceNumber=[x_trans_id]&batchnum=&refnum=&sequencenum=&header5=[x_MD5_Hash][/setheader]
[!] move file back to Orders folder [/!]
[movefile from=[completedFolder][x_invoice_num]&to=[ordersFolder][x_invoice_num]]
The request for void has been placed into the orders folder and will be processed the next time you click the "Process Orders" link, or when the Trigger is next executed for this store
[/showif]

[showif [x_type]=credit]
[setheader file=[completedFolder][x_invoice_num]]payMethod=OB_CR&status=[__status]&authNumber=[x_auth_code]&responseText=[x_avs_code]:[x_response_reason_text]&referenceNumber=[x_trans_id]&batchnum=&refnum=&sequencenum=&header5=[x_MD5_Hash][/setheader]
[!] move file back to Orders folder [/!]
[movefile from=[completedFolder][x_invoice_num]&to=[ordersFolder][x_invoice_num]]
The request for credit has been placed into the orders folder and will be processed the next time you click the "Process Orders" link, or when the Trigger is next executed for this store
[/showif]